View Issue Details

IDProjectCategoryView StatusLast Update
0002920ScribusNLSpublic2016-12-08 21:39
Reporterjens Assigned ToFahad  
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
PlatformLinuxOSSuseOS Version10
Product Version1.3 
Target Version1.5.3Fixed in Version1.5.3.svn 
Summary0002920: Khmer script is rendered wrong
DescriptionKhmer script is not rendered correct, even though the underlaying QT library does it correct.
Additional InformationSee attached screenshot.
Tags#please_test, CTL-Tests, fixed, HOST-Oman, RTL, scribusctl
PatchNo

Relationships

related to 0001547 closedFahad Support for Indic Scripts 
has duplicate 0005479 closedplinnell Scribus does not support Khmer language 
has duplicate 0007109 closedjghali Scribus does not support Khmer Unicode Font 
related to 0001726 closedFahad hebrew vowels (and cantillation marks) not placed properly 
related to 0002756 closedfschmid Hebrew letters don't print correctly from scribus 
related to 0003680 closedFahad Devanagari (Unicode U+09xx) glyph formation (vowels and conjunct consonants) not proper 
related to 0003928 closedFahad Support line breaking for Thai text 
child of 0003965 acknowledged Metabug: Support for non-latin languages 

Activities

2005-12-15 15:48

 

scribus-screenshot (59,512 bytes)
�PNG


IHDRf�R�� IDATx��l[ם�qz�w�3�Z��TmWt�<Su���	*:)Ft���/ٍg`��"�3E#����Wtl���n��V�i��X
fb+@�(��Y4
UԱԩԮh4�)ĆH4Z�n�5�N�T��!)R�$R�,&=>��{y��s��{���%��m�H[����������x\��_�vb����������)Yr���A�I-kY�Zֲ���e-�Lyɉ�oLH�hjjjjjjjj.?��?��=�����������qɱzi"� q в���e-kY�Z��͗?���C���F�:�e-kY�Zֲ����//9��D5i�Zֲ���e-kY���- q���\�e-kY�Zֲ����./9֥}̴�e-kY�Zֲ��A�D��}̴�e-kY�Zֲ��A^r�?�>fZֲ��\����� pҤ���(V�����������d˽.B���K��{	�=�q����v��sQ,;��NZ�y�N�ЅaI�J��$SIb�1�����H��8i���a��SU�]��y	G�3_o8	4�<��o'i��4r�!��pl�I^�UU��\e�c�e-kY�U);	�u?���3C��������x��PFN#ǂ����-�6�$=���^b��&|�͞��-�=D�
�?#t!�����`C�`��-q�I�c�ܯ�
Ebx�7᭩��._v�9g<�y����-&���4	�A��E�$/�B�EϏ�?��?�6�e�(s�����f5�f�g��w��$�Lq����u�ts�������eK���T����~��l�s%�_�|�����X�i�n��q�y��-��1i0y�-{�\���}��|���v%���?�Q�nk,Et4��S?y��|}�I㧗q�����V<��!q5���ɭ��H���Fb��w�M�,���kV�S�-�����?p��޽j��E��Y�Q���_l不����=sy}��W�p�����p�����m����r�?�RF�\�|n�5+Y��v�gk,�����d}����G^7��كC8p���qz�\�c�+�+>-r�+�]�XQ��{�1���L����jh���E��V�����f�oG1]��M���q�p�3w���A$��1x�»څ0���#�qa8�&s�4B8�,#1B�X��{����y���X�fpp��s1���x�3�;?�)��$��,���w]�X,�4 x���:7ɫ���+��xzHK�a�d�]Mȱ��b��an|^�x���g��R圾:���8��^�#��o��n̥��󐾚 48��a"	������9c0#�v�Z���s1�a�||��P���1�WbDb�Y��\<�>������Y]���!���΍{��)�7�ׄ�sIu��8�3I�t��9n�!��d'Җ^Q�	�h���`8��O�1K�|��ĘEZJ���gHw^|3��p�Y��c��X��Bg�s��/�G�k�˃�p�N%��~_���̟����������)V�3���D�$�$�~i)E�l����$W�h4<����)%����H;]4�E��p\/H�h���v��Q[�4555��N�-M9�4��bD"q�.!f�La9y�%��I�[��r42��%�4G���]��=ՒTH��."e�"�?���'e;��p֙�l�M��MO��t!S�9��1K9�V^S-P���>�����ey.������(��-f��[�!�����S�$&��q`�7�&2e!�$q��gΆ�`�Rj��0'O	����3�ҵ�DZR]'�P���f�}��=����c���+�~޻�I�b�H<^�<�R�����3�_�7�n�k�F�x�)Is~�xLd*>K9�V^e�ʥk69I��ۑ;߰��f�c�����F�Ӽ�����0�!�d�����Y=�zu���=+X��q�kX�>�a,c��;V���Y����%���|�vb�)u���dͧ�KH$p�
'Q{�5\n7�?I�>�q���?ap��<���R,K��Oi�����Ϯ��ӷ���A�E⺜���d#��sW�$�O�r�7�ۜ�������O�$�G��_�At�}�k6�|��*}���^n��_;�O��k�����A�j���O%m��&M����M
�3��l�c%�O��q�2���%��\^���ッ�?�|u4��+�XA�gVPc_#�n�p�gn�]�l���4�k�&���1��3����UI��s���ƄT�i455555?�lmi��h����$p�Ix0Q�3�'���?���9����������x>�$�DZo]��T3Ϳ�p���,��Ώ�==���8�-f���������[$iDvF����������h�3MMMMMMM�*��?;;!r�
�
Zֲ���e-kY�Z���-�%Zֲ���e-kY�Z^yɑ��4�0i;�sMMMMMMMM�Eᒉ��	>nMMMMMMMM������'0�|[MSSSSSSSSs�x�z�������������3MMMMMMM�*���ijjjjjjjV	��LSSSSSSS�J�-f��������UBm1�������Ԭ.��LZ!��փ�X�+�BS�5���.z:4�~S!j��=7�V�������͏o����X�>�~����??���]?'+�[�A��L�P[[K�j����q�k��I@i�f]+��V�M�-7��,��{�s�J��U4�7�uA��2��7�x���V"]3�c����H��#V���-��s���;c=W;�gӑh����ڕ�&��袧3�~4�_U$��;� �����x$Ш�S_O��p��۽fspnj����7��g6���ނ�{V�S��Up�#+k����,p��4g}Δy���a	�R�E�����0Kk�K���yN~�YA���L�gtt4���Y���qے�ۑ�h�2�?�s�1FG�}�2�r������Dގ����ט'�)/}7��\=}P��u_u�kn�a�����
[� �$�Yf����	0̂~U���9�������)^��{p����{������;�֔�{iK��Q�vzb��<.#��A�s�:k��%ٽZ|�g9�sf!�=g�T�%��f='?޼Œ�����r*ʁG7Q��ZV5m��?��>_S�o����a��@1"���"3�k�m�lX��=`[�}��-���Yp���Ic[xz��EW�V�T3��_9����85}���(o���`ժZV5n���HF�����m��ȱŽ�Hp#�V�S[_�Ƈ�18��;c�CI}}=���H׫��31$��7ӸJY$��m�j��
�0e?�/���v�}�$8p�_h���~�7wP���`Ϫz�؛�����'!+S�3��T�Ïm�����U�<�ѩ�R���_��4�Q���F���/�x�5��O��w5s^Fi�T-���?��S��~���;VQwϴv��}D�6?�
��d[3�Pǽ��6Kj�S�5U�o�~yfo��n�+�27G?Z����Lt]U�ں؉�~?�EG9ҍ0[h6Ey��c�mݘ�O��Uh1���kۤ�{�*���Ff���fV�'-y���eU ��7�/��b���5�$�l��Ǖ��Ԗy�i���l9���K����T=;:��3��J��3���w�ӓ�>W���qU=�����~*�x�M�+��Y5宇6r�ryt���cĎ.�>��O��H�~|5�q�>z_
��(8�w�0s3z�}G��a��x!���7M�_�cMt��a��?�w��ኖ���M�ۜ��?5^$��_����m急䗞l��M�A���F�Z��ķu?g�,
�0[��]��&ܻ~o��_� v�P�}zښ8)�2~y��.*�>�ɱ/5������k{�f�&eկ�n�H&_2B��C^ʔk*L��.�X�~��F^6��7���i�N6}g���r'��ovr44�,t�	���X�����A�޿8��f����u�H�w���p����ˌ�zҖ4絳ݞ0��Y�3�ƒ��G�+!bcִ�fk�S�5=�S��������U8�ء)���x?Z�����&}�q�-�>;��I��N������Q��g�Opag[.?�(:�	�]e�wo ^?̦�՛φ���*k���C^:���v������~�H[���Z���㌾7̱'����d� �{�Kx�2�8�9�ɦD*���:��t\��`���
���{��F~��.6==X�r�XS���?�>q}��
q��&�	Q#
�ZF'��_�&���~t`��9q}����&@d�s"w�"���D���	�rs�p�k�x�w��f��Ǿ�h�:���'��3��*���'��_�0��?��3��0[*P���LKߌ�6�#�ǯg����h�l�n�\��1a��DÆ։C�ӯ�ñ	D�����	`��{��G�:&��߫����D��g�>�\y�o͝��W�6�0q����h�p}��O��ĉ����Z&̵�+�~�����0�%���o�xyBL��K�Go<�%��랾�5�+�X�61���{�����8K����ɏj?oL<�-�7�'��wj����~j?��?f�v�~�p���A߄�����O�Չ�����͓�:��wՉ�`��y����͓�)v^�-9����#����	ח_��p������o�	s��Y�r��9S�?�־�=g�%����Կ��ggk�S�}�8t��ɏ;o��Utf?>:��{�9�XgbY�D��(j1��;j�:��:�o�G��o�3Ǝ�g�?y��}7��G��˲���U�Ԯ���������X9K������d�'�0�2�2��`�QF�e��i]�,D�S��x�*jW�RߴleY�2�ڀ�7Ӭ���'eT���/���T�}��i{ߌA*��pl�g^�۱����bD2D��=l�Cי8�?��y�W���0S������+���<M��4�ZJ��yk�����A����k%�(͇;b��:�0��GO,��.?�rG�gw��˿���a�<���;5_s�S�q��J9@��h!��~8�u����'=j�\�9�	v��1ɓ\��O ??fS޸P��LM�޶�w�z����&�z�����'Z2��Y�r)��i�{��s���Ù�_��ev\�﷗��ԇ6��΋�C���./�/�
�� "'��D��z���>7J��e�w�!1�����(�T��{9��y��/����o���,/W�����x��gN���v��_9L�?0��8�CGs�	��Ak�zR�i�{9?_�T�}*����߇�>{Pյ1��K)禯z�>����=xo&�l��w,��T��N�f��h5���O�?���og��N'{[w/�x 2��G{~������R3��4L�I��l�Jg�v�p�)�0=�>�L�Jk�S�5-�S��oB(%,2C?Z��
;J�;]���t��U���P�L�f~�	����<ox��5���z���}3��k]x�h!��]�X�>�\�/�s�=�9S�7k�.(/9{�+����0���g����qȿ �q�-�W���T%=�ɑ
&�;��9�߄
�'�Q�x�����<�0���#z�Rr*A��.̆�j�a�����
����
xr3���֜�P^�09�e�;�H��LŠ:�h9NK_)�2��ky�3�"�e	�5`t���u���&���EBJ�1<v��/�x�]�2>~V"J�ڧ��G�.d�3���R���P���X���	����;{�O�쮛�T�_n՟��3ן���û�@i���ώ��� 23Ļkb>���lI���nx���u���ٴ�g���~����B�G��^bc��m��N̆�%�ߩ����)�5S���7�͞�h��$�v��7��>ќ;����µ�}�%?Oo0ٛ�O*Ɓ]}��k��|GW��z���Qڰ.��n&`�hh�zg�)���b�r�P?-���{�HL���b���$l��E�ūH�.(/U�Ou䏛�����r��C^}������a��^�{���>�;;*8>~<yK��#��T%̴oQ{�i�^V}��U�8�ڮ*p��nx9����+k�_y��L�k��-_lT鹣��+͜�W�k|<���M�����H�2J�w;f�Ѷ���� ���S���U_|��w����L�3^��o.��3+���_
��_O}c�
���z��ƕ��w�y����!ڌ~67������*�>3�i��A�n��<�˽�r5A�Es}{�<\�2-eU���0]Y���i������7mƺ��7��\�r?�7����-?�q�g//�x`�u��:y�_�����o�c�kV������9�ق���c���ϪFBWZ8�����_�ˑm-���*O��Y���G]3����O��=X-Z[&-QM_�c]�h��Z������䧾�������t�� ��ie=��߄l��'-ff]+>��\����6��l8P���3��\�<gN�?gA��N��0M�j�_���g~_�}��Ǿ%и��U���1��J>/g{>L�Cy�|G�8=����㿣��;6��C�E���'���@kf��P�rg��WS�2��^�1z��H���G��}|��v��0^�)�V���;�0>>Z�(�b��\z�Rf
�?�~��\Z;KƯߔt�c���L�4gz�(�K��:�j�}m"|�q����Z4�7�~���S5���t����/9	�s!�F����Gs�Qˣ�y#�]&���c���5���7��
��j���+���3>>^������8�F`.�����|ܬt|�m�,->�I��i�Dt]��M/�b��r����r�O5�CU�iq�1�m�)�h��T�����k��N���/��"+f1��������Լ1V�[����������7Bm1�������Ԭj���������f�P[�45555555���b��������Y%�3MMMMMMM�*����ٵ�;�jjjjjjjj��s�ĿOLp+�!hjjjjjjjj.��25��o
=#� q D��|x�{�"ߚ�����3Q��i.
#oE�D�4���0i�m� ��~��z_U�_SSSSS���L�c�B��h����L(��C�������D��\45555?~�^��p��m1�\0F/E��p:H'�绞��Ni�R������ٶ�墩�����c�B�:/� -�󾏶�i"m�Ö��A�Kq��^��
�׳ڃ��P�S�#2�S��p��ȋ]Κ�'�����ۖ.z:45��Y��[o�>�bV�ы1"� �Hߝ^��=U�����Bv퀋QX�#�w�2+:���j/�����ee� r>R�b��mG�����'J.��<��#9�R�0�l�l�������T��Ko[����x�o�����g:�>~�*��ύ�o
�c�Lvoۍ0DU�����mҐ{�lʕ�o�ɹ���N���4����|e�B�k#�`���	��H),K��2�#$%��B�B�%H����,���w:����0'_	�T��B�Öt�Ї��	n�c֘�����$Җ��� ���1�|�J��iUɩ$ +z�IZ2�T�%�L�������l�v����k����RC�J�G��D�9��f�'�#�>r�q&�Iy�^��K%�;��V�g�ܹ��ۡf��G�P|�^H.�m��xw#������rwE�ٷ� =�w#Sа�K�V�X�r_l:�����I'm�!��7|)P�.�x�O�:_��l�u>�I|,�u�"�Jb`�A/�{����C�ir�������i��/�cO��4���I���Ĭ���Y�t��a:b��Z���E�nb�8��&Z�]�QC.���^���>�oE�x�
�jOE�/�MK�_�W����d�H�D�v�1kL�
n�B�fi��#P�DE�5�C%Z��KW�����_�|}1Yf�i�@��'�Zx�~q���ݭM IDAT�T�6��I�+}�>\Z?�|����a�N>,���R�!��㩎ʵ�9�o����H:����থ��׉���?������1�_��sM��X�1v��5��.��x�F\.�=��9�����z�'4޽��=�i^�[�zX:���K��·h�/I��inn�S筊�U������e��69��[��,��:i�j;Җ�S���=_�����Ff~�΃���=}��?{�f�D���5[�F�J�t��(f��X>w�I��<�v��xmI���S�8�}��Z��������nv?$x���u���9��xW{*��[c���pI�T��-q�ܪ��JY$��?�mk���L�-�e��oB��0o����!� A2���/c1s��И���	~3<�u�Q��Ŭ d6���U?g}����۠=i���],>w�n"��A$��Ld&G��5u,��Ѳ���6Ӻ���S}�mm��T����N�A���Rh��TǼ^�>r8��J��ٸ��7�SΪa�?�p=�������=
��ݘ�d���	���A���N�N������7|��]O!�.75M�k�:���0<t��r:�E�x�ڤ��/ݑ;޾���S����lϿ,ei��(��W��OE� ���<,���F29e�;@�����Qg����;����qϞs��3H[M%s���K1��,e�μ�K͞�x"��%q+�����X̀Ư�Ç���D�O���u��XK�@p3��N���J[���j�.S�i0��sZ�²$����:�t#����h��2����z��}L�̫=g�����A�Gz9�?:�k�C���$8�ʟ�4��JoZ�I��x�{r�K��#a)��aHIHH%q�@�"�/Eq<߭�}�V��D{��_�Y��dΒ������/����9-f�B�J��7�i�?Z9������S/#?��[E�[�n�ݧ�r�‰s�g2��R„!p�	�.3wi4a�����,]�ж���w�n_+���C����m�3��
�I����J6�٢�gIoV9[�����%po���l��F�í\�:YN��9�s�M�M��Y�)+ރ?8���a�S�p
�v�����KX�� ���;]�nGe�l�o3�_�rm0�� �_?
�T?���N�
]���:�K��K �yu�+}�����\�Nj��^:�!I"pj<�va(Y�Î�v����8�� ���Х6�>�tYσ�_�89MQ~��l����gT�ΆϖU��_kWoNf�ω���l�k��1[|���ya0T��/���g����y-c)�!6Cb���%��t�aQ*����j�i)IH�^�Ӝ�P�5IҲ�rW��b�X,��'�C
į����H:�&z)�*����J�oi$~%��,v?�ơ�w�w*L�����1I|,N<gdlD��]���n�P7i�:!J)��X���X)�@���s$��5r�d��3>?<�c�:��-�[�W��.�b�2s�����,�>�oNS��JOMq���!t=�E�_��7�l~t3]]]j�lٺ�x��g1��$E�w
�x]x\N<u&�1W"I��`��	C`�V.��{i�3�C����c�ol��f�
=��*e�ǫ�r����H_V)K��Y�{JY|y^��K�6�x�'�z�����hY�w=����J��$rI���V�JS�.B����,'�б�A,#�PA��*iS�߽5H�+}�{�7�I�i���,����G�U/MO�"�Tʙ�@�FΜ���´���W	��Hb��v��y��gK��t����Y��v=ӥƾ"���_+��v����|���Z̦����)�b���r.KY��T<�|wN������yʖMn&?��)DcnͲ`fm�t2��_n�aCH'�\)�H��8�D\Y��1C�;���v�XV��=Mp+8���=^V�!	<��{���%�N��O�+}�=,+�؅��^�:�x"�w�����%�+����Ľ܍w�7�H���?ё(.�O�G)rs�k�Axa@v2e62Se-%�_�o9��z�Yf�
C�/˾��V3ˬ�Y�LC� �WD9+�Y��Y�����_R�IN�xR)&,���a"jN�L�v��R�b��3i�8@�J�1'�)��eB۶6�(_H�C�y�e渕;����9�\g��df�7D�}�2�R6�|5Z�nFz�ʗ�p�������aO�N�v�`����Gi���������,|�A�u��6�Ȉ$)UkPZ�=��������8y�d���
�}�C�;T���2��s�e�BB�*���`¾{�:7R������&zi��/��%��	��<�L�o����S��g|M8�b�)���|��o��(+ގ�uX�}��} '����Q�����R�Ŭ�>f�X̰�[-R���f��r�����t=ӥ,f;v�(HH�c[J���-<��q���SII��tZ�-��d�b,�7�٠-�hu_��Li���ȔEܒ��V�.�I�o���J��'��=�����&�N���M��&�O�J���ҒȔd��(���i�T&i����0��
`�,<
�	eA�^�O�I�%����r�e&��^F���^�q�\���#Y���AX�un�Ù0�s�otF��*���Y)�+H�|-g%��
�`dd�O���V�ZV1��������f���F"p�n,)I�Nb�W fY�mGa<e��l�}�i��w*��!���a�ˡ��Y�b6�J�JYD����l*��rv�ґ}]�U6fb�L��S}�UoN��='x��G8�s����mQ5���`�
D�J�Ryʴ$m�s�V;1�̲�Y�뇪dC۶���w��C�;Tt�P���-eҖ��,"c V;p:���8p��t��`��0���zo��O�X
'/��X��d5�����,fKo�p�_N�*_E���1;�C��>f�k���l*KY�	�YK��QV*���d�ɲ<|��Щ�k�2�y�	�<
^��e���J���
5c�I�����Le̋29/�Y$Q�>������$����Uʙ{���Ig�d<;ov"�I��z�=�9�c0W��0[Tx˲�c��M����g�G-�MZ�qc	�cI���t|�����KQ|>_�坲P�.gxg�!�?�H�G���&�ƫ�y�k>�����B���r��yj(P����Yy.�Y�����=h���H�J�
w�-f��d��0pf�����o�H�8I_��1q�D�5}�4I;/�2�#��l������e�� �}[���i�;'g�{��ìE#;��h�XH��j�b��Y�7��l*K���Hz��X��MW�6��,+�N��mE�U�v�ڑ������a�pa����	 �4|�T!�e����X�`��ыQ���j?�h��;����[�֟o$�D"N�6q��1��
 �)o+M�T�[�t��Op-�|'���$/����g��:u638��ۢ\�@Yz�����ƓR,f�z.��U��Y>K]��ĉ��Ļ	V�'r�njkC`X`������T�OZZ8H�}��'aI�(��Xc�L�)_�$�G���I�NO�q�kjg�4�!B�I[b��̤ʛ9a��EҒ�
��!iH�_Ѻ5@㝅��4��wb]��
�P����ȥ�WZ�d*���X,���:7��&�P��!q�N%;M<�<8ow�+�z�yC3}���z����K��p��=\��Hv��<�?:�x��hϬT-o:۪��>fN1�~p��4�l��̰�Y~���.��-~&&&rr�}�H�������(C��Β%K�����d7�e>I��K�r�F��Yߋ}�׵��`B���{���u�sr�|ߋʙ�}���Nj*��㳦�K�T�b9�oz��Z��MW)����Ԍ�C�[���Nڒ�í�	�^?ɔ�,e��w�N��tJ���³�;k�(�t�0�}w�p�9���#�N����n鞲�|~ϻ,��quM��B�2e)s���|n3J�!Z�A߅<�m?�'��D�����UV��,f�D��������Y�ق��e�����cfOZ��1k�51�}�)�|M��7��q�Ve&I"�`xda����e���q��P3&�2���y9)�\�d"F�J Sy����,�!)�8�����zZ��!�d-j�r0mK��w��_ͬX,'^�Q-+J�āH9���E/ŐI��U*���)����Dމ0pnQ#p;�x��VBmR#p�8B`:M|k}*�[!v1F�b�ĕ���Z&=W�������DI?�]i�O�C4��n�!��C��)}�6Ӫ���MKr�l���e1+f��7b1��)����;�H[z D��6}�?9��ᅩ4�}�a��8'�)��eB۶6�tـ0U���`��=_�>f�ǯ��vrO���g�]v5c�3a�W�s��:�I��ͼ��|�3+�SVN���1;���sn�9U9+5�'���w�%}/t��p���!ht�4���0O��)L�$t��
�g��_���˥����;�	���4B�+}t�tO�W�P>f.�Uv��obޣ&|�:���eW�[�E�\���N�_=����w�Y�!�y�Tn�����q2�,�-�o��)�'�/��,[^��I9�,�U�cV�LP�Z��z+z>�,f��nB�Gh\��Rf���ƒ���w�4]&�R3�5�L�Jg���,{��͘��?I)`'r�qI�������$"���eX64�}W`Z��m��ao�6!V�a���'�$	Z��Ҽ��ȅ�H���~��F�S���U�Y�?iK)����$e�i�FK��̑J�[�95|�2�e���W�!��L����Pgb
�\�-��Ve��)s�g�P����L��B93�a��@n���79��#457�d;�+#�5���
��[h���k��
}/�!� }_�Щ�����Y��=���T�>fY�P9��R�[�Rf��IO1Vڧ��t�f1��R65��r��s���Fh�$M�&�׺�c��
�y� ��ڕ�#�Z1��[��].8�俞IJ&-�'O����!z)����\ON��T��e�5˶���W�&	p����P�9-'�;���8��後���F�4,�D/F�,/o?͹|���G�|�*�c�o)�ʥ���__N���Qb�v�>f��,qU&��j��|�s]�bh	���ܖ2�LF6�<.��q�Wj�$��X��d,MlLY�T��s׀�J˜Rf�(32�ʉ����bi[���B3��4����^�e��I�뇽�י�|w�>c�R�lj�ʼn��p���h{��D*���.FI�� ���ߦ�+Wa��#��$R���)��a,	����V�{ �:A� r�n��u�ň���k*����2󿕩�ƙ-�"�L��UJC&Z���g��U��̻�K���~9Ȯ���\����ЯB껢6�
��r���C�O�ʋ�.�1n���ſ��ohW�FM�99{#�0(^?s�o�>f�Z����ˣs^�j�*����e��j���']3���b)�bWcDY_�h^��t�	�_	��Az�b�L��&��|�kW~.���]n�}gG�{��r���B����z���n���^П�[�WC��VLv�˝��e�|O3�լҙ�2I���D
1��R��Os.3����Z������1���3
_q��0DY>f��2�=��̙���y��v���\���y�y�,o&v1�g���,e9MZ8��A�bQgBV�-��̖X�$�P�2[b�rf(��td5o�V��,vy�y�{�͵4�)0]nڧ(e��VHc7M�����F��f¿�`]��xו��r���yAuz�χLIB?�k��qy�}�v�S-x�B��2�L��&SI�1,�zJ[
�6�-2�$��lX	��'�@��
��	�i8�+<8xs�v�-�����ט��LiKD>f-_j����MX�E�j�5/�oG�NGZ�����L~�6�L�y�K��/�b6�.����,;>a||}�n�@I�5(��������^:�Ŭ\%{���}��mme�k)m��l8��$e2���H���W�
�� A��pٖ3��N���������a<
����T��qf����A�J#��R��Z�$�!���d�B&�T�0�Jp/�34r�`�Xj���8���'e�c�)ۅZ�����/�l�o��'Wez�z8�Ӑ� �h)ˤ6�=�ƻ�����
���(o� %$�Y�K9ȫO4MZʤ��a�5�IJ��A:�����A�_�a�d��{���'Os�H�Z-Yc���`l��.7����EH&,�v����@K��N�Z/RJ�V��X�x<N�R��C8�C�S�ƃ�t���P�i*=�
�F�m(m5�Ҧғ_jx?
����N���~�[��F�AƷO��`�<�5^��w!2JD�3�b���?�{���i&
�fR�s���a˗��{���1�.�EI�A�(Җ�������	Ld
<A��qߕ���m��q�1���k��-+'��a�N���o�L>f�~|��l.�j6tn���>�S��M��v��ͮ�6
����i�| ���U���V�r�Y9�"�j(�^���	���q���A������rS��Y�bix��i@hD~A)�ˎ��1S�-DT9(�L�L�A��X�Y����|̮�繏�Lc�0��1˲�U�2%s��e�w��Lߝ>����aI�N��N��8�l�&�yZh2��k	�i�׀�y� �E:�Dy�e��v���E��
�V�����i�%ŗa�a?�_EH�-<k������Z��m��/���x�Fq�w�8Lvo+&�|O3G����Tɮ��sֱd*Id0�3�U"���E�í%��A�}�m1~�	��z���|���+��Š��X�$)Ӹ��g�s}+Sڲ��w�̾e�5e� �s��/C]*)=fZ̜�J �yP

2� 3���p�}���x?�>f7¹�=_��Fұؖ�,g�1+E9�!K�z��Ny�y������Ľ�]���=�V�8ro0@mW�/�|Ȓ�-m[�$�����þ�������5ȡ��ʊW�$	ˁ�i�0���u�u"#א;��Nfh)JO�]���}̚|M�_�����؈ڈ6z%��	;1i1�4x�)I:�ER*�2Q���L�m2maYI�~���BZ�z) �+��\��)д�}M���jJ���PF��O�f��o������ӫ�2C`�H0�Ad��@@,ò,����j��2,H���*_�7�m��P{�9���`��`jP�jԾ=2)q�p��e��))�L��2���tK�{p<�I�k�5n�Vʬ.�$���ͣ|�1��2���d����r��_)
���|���]lj���~s�?ϐ�OI�^����g������-�3��l���c6_N]�85��[V.�"φj��e7����)g7j)+��އo���H�^��]O�*PΎ�������^�S��ć���4=�����]�}%���/�p���q	�6ԥ��n��N�|F� � ��ܽ�|��}+s>[edC2�,��,����*31� r>B:�Ʋ���[�������Sh�!g�s���;9�ٚtJ};Rbl��2��`�2&'������"�ͬ��=�q��K��^���>e:C�-�97�s���|wC�;=c@�݄�t�ҝ+�L�%Ԗ��� �ME�Rb�0پu;n���6��Q�tB�PJ�s�$��![`(�Ai+�B)�J�s
c֟����[�jfX���p�e��vm�E��g�R�
s���b1�_������Zb����	C��%���o>��H�z�奵y`p�}�O�xљ|V^H߲��,�Z�f��l�~s&�ڶk�rVIKY)t7�sJd��mԮ�g}�ȅH�b1g?�6w��[��!x���W�jҀ�c[0�^����s����<3@�sQ��ā�4��7�K�m0�I�ff#���ӷ2+2�ڥ����[��\r}��D��X{ IDAT�₡>@^�N| H�}gc�W:[�t��'g��V�`v��t�܆�H+���w��x����QZ��W�t��CJpי4�P�+v%�e%Z�ؽ���RV.��DG�ʚ!L��a(�?$�:��o�e��]4�mBԈ��?6j
!�wK��Ѿ��Zq�_}�z�z�?�B��kx�H�"�Qʲ[9��t�w��+���W���m��|_U�3�7f�$�H�];ۦ�oGێ� ;_�nk-����0�G�4̂ב��O�z+m�,!���y�s^����oϭ6�o�(0�RV
�)���B��Ñ�+���>L�ֲ�G����P���E�rϢ��\L�%zg���o%���E�Y����t�U���8��,���,f�k���Ѷ#��4$�e�m;��m9zM�z�g��YN9-�����j��Uߎ�D�T@�%�w����a�%��ױ�7������l+{�پ믂��}]���
f�bv��E:
��6�q���O��;��%����$�L�|M>��h�L&�^��t�)�Aڟ�U�|�x�<(9�7;>a��L�n�%D���az^T�V7�R��""���T_����T)ï�sJ�|Y�x���ε*��Y�4��W�V���r�Z����y.5�R8
����V�H[f^Yf?M�TaH���҇j����,���-�,��H���LSSs��B�rQ,e�����kͩ���xF����"�g��z/�������7g�~>�~3��_��;|ϯ������ ����Yo�m��F.D�^���d2��9�1����[H9]�����r��jH���b1z)�^�g�L�L&˾���i.����2��ߨ�Y�2���ijjjjj�(����2e�a:��h��悱ت�,�>��Cm]�����x���(MMMM͏��y��3�Ec��Cme���y���૊|kjjjjj��%g}V���������Ԭ�3�EO������������ijjjjjjjV��g:=����������%�_g�At�At�a��-��t�At�ATЊ�:蠃:�C���頃:蠃:TIЊ�:蠃:�C���頃:蠃:TIЊ�:蠃:�C���頃:蠃:TIЊ�:蠃:�C���頃:���l���y�W�"s4���(T�(TY7TYGمT�n*�&�`v�#��
NEmZ�vx�ݣ6vQ�D��zj�$�yJl�J�yD��" ވF^,�
"�X�[d���x׻�^'�1��)������{~]s�5�M!�ܥn���"xm��Bʜ�0�R�:�Z5�%H�Oѱ�ic�5�j	��p;�h;�'r�
�B(q��]Z��n���a�'�P`��F�vϴȊ�XPVZ���2�1�O�v\���e(��F�*������i��;�Z��Y}�v��i�6�������߇/��Ӛ��Ӑ6�D�����y뵢'��q��?�׬�jMӸ?V���)�j�h���ڤ�i͵�Q+R�4M�2�{��C���Q��ޡi<?V��q���t�T���D)�Y]�x:f�VE�M���j�ڪ���}�|du��m���d��_k֝���q�6)./8���f�Y�vϴ��?\�U+�ϥ��?�]���<?V��qx�Uk|ܣ��W�����څ����x�͆�F�H~a�9ɶ!� l)�p߭,�R��p�5���}׏&��5#:��oU���s�B���bG(�!+��!Xn"#���ND>���U�'{��gAd�
�?�=��H�_xRc`G�)!�aG(ec�wUh��~D?y�?֖@˃
�?�
_�è�K����-�!+��9u�6yϏ�Į�Ѱ���`���{�DF� ���d���W�:�':�u4�%�G�7@�[	Bg�Pu���Ӹ?ֈ��qs�
�a�kE�_���!T�@x&��G[2�{��CV�/*t���z��*��)���G��>�&a���~�m�&�����i�l����	��տ�A�H��j<��z{Qlε�/��rS�{]PLvx���Xe��n�+�!LrF���+�p�2��G�Ŏ`$�]���M��3�F�;X��L�+@s��n7�XeRΏh���J	Uh�@�p^��@[x��U%Ӆ���Ƃ��Xp�c�\�#k�yW��]�|�b���(��ѷc�̗/Fߎ�2_�};6�|�b���(�-�B!� �1#�B1t�!�B3B!��@njB!� ෶�B!�4;=��@�R�T*�J]C�'���R�T*�J����N�j0���H�R�T*��ٕ3*�J�R�T�(#fT*�J�R�QF̨T*�J�R
���Q�T*�J�D1�R�T*�J5�2bF�R�T*�jeČJ�R�T*� ʈ�J�R�T�A�ceB!�,���i����e�M���� }*!�B��f1����_ϮX��Vd�!�B6(+�cƈ!�B�#f�B!�F�!�BV�|"f�[��%��=ULj!�B�j#c�S��+bFnjB!d	���)�ۈ-��1#�BYɑ�D�l�"f����+�6�B!d#����s�劘�2%�1��B!��œ�s��h�|�I!��V2��4:2��
�#1:�2c@Q�T*�J�U/�|���1���J\%i� _eB!d3���ɩ�W��B!k@J��njB!d�&�~�!�B�@�3F�!�BV��HY"rƈ!�B���3B!���3B!���3B!���3B!���3B!����9f+�J�R�T*uN9V&!�B�A�X��B!눔H�cF!��f�`?f�B!F W�#f�B!�Hr����B!��!�1#�B1�1#�B1�1#�B1�1#�B1�1#�B1+�cƱ2�T*�J�R�ceB!���I!���H���9f�B!k�0	�cF!�br�1bF!���$G�؏!�B��3B!���3B!���3B!���3B!���3B!����9f+�J�R�T*uN9V&!�B�A�X��B!눔H�cF!��f�`?f�B!F W�#f�B!�Hr�l��13��@�4\��L��9�����l������1}�c�_ۭ;r���W����M�MC��M(((@��M�}�Q���&`N9?�_/�gc�ԟ�s���O6+�cV�i�WIv���d{��N �d3��ٺb1����/4'l�I���3B!���f%s��B!�,�cF!�bV2njce@K�'��3���y�!�G�.��.d���zD��{�v��J�w"�}��vʱ2	��X#��k]
BY�D�Faf঵����t&k��$����W-k]BYw�W/J�.��|3
��T�@0\�j�
NJ��1ې��BY�s^�_��П�6xv;�w���: ������Z���X����ֵ�!��+����=�����8N�~
��.�x��ߵ#
�q-sÇ�I�3F�6h<ֵָ ��4�� �Ov�u52�4��f��A�=�+5�ՠ�JL\���;��q�3>��O�#e+s��3B����E�����Eo_��(���.���|�$N�d�y��L`�ݶʵ���\���1�ѯ213gB�F�}eh>�=�Fpm�+����*D��@�F��iY�l�ZW�l0�c���4��	!��&���:���4�+��QB��m�s�F?���F������E��e�e�FR?=�:P�ˍ�FW��d�i�u�.7�O,o~O��-z�4f�1�BK�o)��dc����Ġ�d�3���c
�0��|�2���|N�v��;��'�`��S~�~���{#]1��-���~��7����{ie��F�|�ӏ�7�\V�H�宧,\�oy�&�>s:�">-Ƙo]G]�|��3�	E�k��O��g�]4���9���);��7��ը�-oZY�s��n�Մ~�O؏�F�� %��l2g����7�ڳ�X3�~�=���b|ꞬC��;P�H������´��;���|����
��C����>�ˍ�y<@\:�Љm;��@����W���
<��(q�`,��s�y�����S���6$�Qq�W>��;��ꤴ�S���ۙ������&|��;x��׵�d���_/�|�vl�#�y86o �۸�剿�G*p��	�ˍ1�ޖ�ב'-y�O��r�ߟ�/B��_psj�k�;�H�e���%��{��;�(����e��Q�g��^
���d%s�
.�.hF�j3k���2�
�X�1(������|#���Q ��u��W-P��V^�����o��l_ٚo�Xz�gG1����F�3�+���-/� <�c��Kzt���*�{χ�0��™��Ǫ���m����\y�/:_������.<�{0��(���*﯄�fI;?���b&.O������"x9��&$ʫ~<{�Zۊ��P
4k���N�/����K���0��H�2��{P�P5lvۢ�:��`Z>j�#�h|�1�r��u�dW	�w;��93�*RC8��I��rf�u��~��ơ�C�S:�V�Е��舾�n���d/�B%������H��j�����xx`Sl9�!r%��ߵb��X��ĺ�V+�{����:��]�C���lB�<L����K�j<��{��������.�Z2O%+�5kL�C�C�j�&�M>�Y�V
����Դ���)[
�6�!M�4�����W���?�h|����ZGg�6�ٸ��j��;�Z�+]�ٿ�M�yV�.�.h]�ti�_��d�Ƨ�S���z�{�a����mH����.~|11��������C��Z��ehpH�z�K~gx�e-\~�����=��s}�ӳڐw(��_�;w��a���#c�vtvh]�ti�ӳ�6��MOw���D������Cs�qj4�=�r::;�S���hE;�����<�A�@�B�iG/jE;�ӕ���}���������j>�<_�ڰwX�0zAs�r��c!C�;��[�r��e��T�)m���D�ױ�|�S�@��^s�u%�wa�{�ԣ�B�)[mث�S�SZ�����(��4�}����j[!���㟍g�w��i��;����ǃ�U�`�V�l�6;=����k����l����uU�_�	!�S��ר���ԙf5��'�c��RmzJ??���*�LiQ(��ON9�nW�^�s\�4}�&׳��zm��Y���ꔲ�P�k8�%��ǵ��StvzV��z�����9�׳)���׳�c�#1mj*��w̺^�J��&߀꟫Ϻ|����3OkEEE�ͤ��g�q��_4f-[��q���~�6;��A����/�/4k]�]�()���\�B���5������S�s�i7�d�~ߕu[�ۭZWgW���6;��)���L��]�oH�J����j��ٔ�Z�<��GO���?W�}[�����l\��)[M٪hG�o������B'���L��O�O�e)�6��r�/4k�P�LӾ�s�L�N��;8S�Oi��ִ厷ׄ���7�����ݕ2}zzZ�	��.gb��x�y�J�@s��������j=�=��.g�~�圝�?�pT�o���R�!��l�s�M�M�v��x�a �S�����NO��vuη��vԴ�k�����2=5�5��1�\2e����j�{]i�
�3��B��i�C��(Z�c���b-�
�p��5�ЬAw��f��զ��oX��\���"��T��`ңlo�?�qy�W�lr�~3�s�2����<GOoO�|EEEi�+�[�q����!�Qt�qiλ�K{�:���i�@;۟!R�iZ�����u�5���)�����kC�]������uG��7�Y-�c���L��%; ]�]��.g"Rc�Z5�]N�u��~7q\���SQ��o4����D�����Tg%��;���Vz_�&
E�i���Em��a����_�f��3���y���D�H85G/j��a���E���E�5��l��?���N���GլVk�hs�SӉ���xӴ�hdQ��ۚ�M��,**�Z�8��1���H����(*����)��Q<�X��Ҭ�8��h�,N�s��(Z�+�Sx������!K%nj�M�=9b��X�5G��s���������)����3^$;���'.����'�L���Y���*������f�nM8A�W�qј(w�o�61��$r����+q��i���Վ��x�v���,|�4;=�uuwiB�4'59�Xz_i����1�U�[eJ[y�7y�����G�}�+j:>6���^7��ې-��_��;/KӴ��s����Ў��W��O�]�.G��f>�'
EV�������2?�ĉG���`�;�Y�[sΓ/�{������~O�r::;t�v��B�}�y9f��i=��h�]���Q
���2��_	F��ړo�,�/9c�l#��9f)�E.���o8���\$��w2ݜ�Y�鑫���o���o�S�SY����	 �,�s��C<bn�B[�x��S����3;�s�@]{]9���J{�o����o��D��ң�����_�W���b��\�?S?�0��648��<�
�mH;�׳����9��P��ٿΕ3xVJ�v̧�񼲢�EZ����|4x1�?�/s�39s�N?_��;f�1�4MknmNs�w�⑩Ly����(+�ӛx�Y�1�໐�<~�p�~<�u��#�~"��#��PN��ZG�8V�AH�d:�'�K�U���M@��h��V��r8iӊ��(�Y���pܝ���n��.'��R�B|{P��^l����5<ـ�??��^�V�����ݶTE����bg1�Q�:�>n �wi��݆*{�.Mru ��,�L��Q�P�4*V@�_��Տ���뙭�dZ�oA�k���~E�:��v@�:PV�>$N�
'�8��	�ћs؜Η;��~ׁ���(�:���x;���C��׫��T�d��:�����g�Q���y��k�D{#��Ys�aʯ���߶��Y��PDM�lʯ��e�׍�'��~�~�:sg���.��}o�v vm�+@��+6V&3���|S�9K��+[�WTk>�J�.ɻL��ً��39&�E�dw�uo/���	8w;3����C?"jj�	g+4��!�A�Ŀh�2�䗊g�'^:���FP�P
*�+Q��֭�E���D0�~&�5_J���=~�[x�K>>l;��\��J�w_�0:��M��@YF(o��-���Yg�(z���Wj���]8([���X�Z��B��5���]`d¶Uo���8�����?_���U�<�Ja�63̋�+�]�2�o{ɫs�1��%
����!d9�t�Z�~��MCkAA�1�_���B��#��*ǂ@���h��+�NN��bO���M^~��-�F>�ȇ#i˥����o�!*V�s���3����C���h���p�s�텶4G-8L�W���QNc��/������1�DT28̫�e%iۖ+��,v|.�?�z�4g*��Y�,Gd�b�@(��;�?h?����# ĉ�g��X�Ĝ�"�o{%�39�O�/��3ɲ�|]8V&#f��a9�EQ`�Ō������011��נ��z�*3��"'g��@���7���+B2w�u�n��<83���{��5���<3����wRc��#?��q��x<��k�5��c���Y�و�D3.�O��Ir��u���e�L-�! ��Y���rD�N�9
K��O�术�
T<�����W���y�Ǽ��NjA���u�z��M@�3�͂�Wz�p���s*V���I��I&���b�l�g{��Xu'�sЃ�_6�-�h}�xB^*��kQ{X�y�B!聐; IDAT .0��(���s�3G��H�X�6��I)�*˭ٝ�\,I�'b661��_��_[����H��F�r]��52����1_	���-YϣĐU���|<y�-�,��A��bЈ��\��d���4y��YU]�Ï��D�X|p�던-�$
�Ԉ�ӡ�v|c0�dp�#f��l��fC�24����t
�>>a�|��ú��[ylK�#b��و��ړ�H<k�N�R�3b���T>�A��d��_�z�v�������9��Hf�ѯr;����D>]6��c�� e��)8V�zE�Ċ��iM�؆ߑ1ƘT�AK�6�³�a�}��H�?��U���~�WT�?X��ߵe+3~�����U��e=�(2��/�Ќ����cđ�|H��<�L�O�^v�r �wŪ��h�'��Ñ�=����vt��#�r�G[�
�Á�G�����;6rF�w�72�$\��p���p��(l6[�v��<���jS���d^N�����H��x�@�_�P�XM��#~��\�MHY�,�m�^T>T�"�u��7�C�J$�q8���J;��H�{��P��#^7���7vY�[�Qs�+�G�$�b�8��S=r���>n����͚y��xԺ�
�AN�z�sތׁ��. /e^�wċ�;J�"4�Z��������z!���?&�Y�����j�ЕТ׃�?��+�o{���kz��X���>��7�l��13Y�1K+3ΰw8�����,+3��b2u@�Ǭ�;sN񾈲�����~��������j��(���z�[���kB�c.$ޏY�a]�B�#���jg�zV��,���o���7������:�8SGd�F�/���>��}_

��+ߞ�]{]��jZ��;}zyH��.�s܎�:w]2Iu�6����w*�Xr�.��y�DM��~?��q�}�����y�S?Fr�w��W�-e-��ҽ�{�O&ט���8��h��c�o�c��թp�e�GD������cǰ�n��cFMCr0;�kw���գ�x;���(J�������-�N��Ɲ߻�pG��H�!Ҿ�Z�K*w��[��?��s8��s���J`��ZH���8Zw�����_�̼<��P-d9r�`�|����i�"U����w�u�S�v+“a�;��?9
!EI�i���&��Ԟ��C�l����5h}�Gr�����4��7�A���
�}*w"~^�2��������r�Uy�2�g�1�M�%�땫^%w��j�"�l�~�Ū�G �j'&.O@
~��u�'e�
�cF�')�20�lC�X�Y2m�m�s��?�p�|���Y�3(q�`��qx���%�)s�r��[r��B��bhp����%w��V+J�_�a�0ܮ���=]��w�Qye��0�{]����3wB�9f�ۏ���H7�N�	8��a����~{�n��C�����Lq(}� g$��`��Ir�Z~ӂ��.���Q|���%w&�Џ��ݎ�=�WG���+i��~��E���x��[-�8X��3�,�K�~�t^u��10>6��G*q���P�)Oi��|'^>׽.����|K�}��Qr̠���0��1+�˥PP�ce�)((@|WD��$��2;��"��0	8v9R���C9v;`�d�b0��U��ؙq�`RJ=1ؖ-��B�H؋�ݖ���'cPU��6���;�5`��Q�R���Ū�l�~���w�r���ը�q�D�]%�u������զ�Ȟ���Y��2�zE��Kr��W����oL�O�f�!�b�ط�3;cY�^�b�Ñ��%�x�d,k46��&�]ά�5�E��حv����;I��-�ڏ_0��J�B��+üΏP�K~X�Z�n���仔ΐ��O��"���Id�6d"�@��Q6�{��A�e>�:�&�A
J\������#����u&
x��.��V���ʼn1X�*((@��	[@w�꟭_��3#PP��c�<9I~D���S�M�v�u�j$���rb�q̎�Os�Ɦ�O)��L�@���K��f����K�>ɕcv�J�� $������e�?j5�8P���L���m�N�ȃ�<m�mCգ�w�M��X�3:fF@���ֵܺ �1�}�C`"���H���K���Ʀ$p)��'�;&�E�~�nT��e}��a9H����Y�jT�Ťw%2�� B��{ܨ�i�/VW���@�B�!Dg���a
E4��앦�W-zG�#>��a��;a�w,���\�dJ��X�昑�1�SӐ1��X��=лF	N�Q �a
�k�_h�3*dL�!
�	t�V����]C�JRJx��C�E�ќ_go4�P�>Y�~�U��W�d�`�Ղ�'���kc��w�u�kɝ����Gu8w���}���W�+��p�̵���R����X�˭љ(�_�^�A'���8f�fQ��i<]�2M�:�c�l�i<�h�	Y.�Ƨ`.4����1}����0� *�0[6o���.Y��29U�1�H,+����Qo�F�צ��M�SF6)�2p��
	�1#��M_O�K�I����1#�����'�r���F����LB�&����HY"rƈ�Ƃ]eB��/2�'�r�1� 0�M!���c���X��BȺ�9f��B��`�+@��m�cF!�>��O�c��)(`�!�lB�P�>Y�3��i�X�T*��9�ceO9V&��2	!d�±2���$+�BYG�D��27$�1#��M_O�K�I����1#�����'�r�U�F�ceBȦ����H�1۠�iB�|�E�$W�#f��	!���s�6:+�BY70�l�3B�|p��	s�6�1#�����'�1��p�LBٔ�|}��9f+�ʱ2�T*us*��4�r�L�ceB�f�ce��I8V&!���H���cenH�cF!���Z��`?f�cF!�>��Or�ݨhZ����9f��
��T*�J�R��F
�cf�_��'��J�R�T*uӨ�"f��
({��*!c�0�J�R�T*uӨ��:�=т�dF'R�T*�J����1�#f����t�	�iӦM�6m��6�c�G���A�R�T*�J�����3@��n��J.fC
!��G��M�]��<mڴiӦM�����Ʀ&��绗1Sp��~��@U�P'�|��=�I����u-^�J�R�T���^e��Ms��U�8w�Q�ύ�l���WQ�RB��A<e��/��;��'����6mڴiӦM{�m0�l.��r]�p�/b���X�3F� �I4��=�C�?����oo�R��Y.�J�R�T�Z��3=b�e�,�~�>Y���I	(���ԯ$"2;Tt?��>&U��#R�0�'L�6mڴiӦ��6�c��鑯L��C�p�s�&�PcQX����ɑ0"3@
���.������W���X�J�8j�iGc���Ь_�d�g��^���h��
|�-l�̆�U@ƀxg�2B���M�����A�<U���F�<bC�!C�'�J]}5�W�پV�W����	��k-��Ҍ����S��]d���`��_8��I/�6m�ɶ���΄Q��(j^C�9��	{b~���Z�Nŋc�zy,���7"Y�7��{i4�{��b���M��Z�s̢s*���L�v$�G蚀�E�2�E���1 |%���%�>��RX��d6����ѦM{#�Qț���'�p�L�Oz����3Z�(�S�x�m-��<��%p�c��b��/����6��s,X?t�կІ���z�����e�
��7��K !1�^��O͕_hA�cv=[��g���
�^�������3F�ӦM{9l�9f��c�`8��{���*T��P�Y$��#����"fO�6m�+eU'C�ﴣ�b<U��6xn��^�9��q)��W�P���&zX�]	�g"��Q�����`�l8�I%9�LIB;���=n�mRE����y5�Qa���I���o��:�z5ė�PQ����Y�sЖX�sr5�
��i�^�`��1�1��1	@$l��9D�y��d�ꎙBT����z%�{^�}A[����ѦM{c�2A���xqG��?#P��]�-s��]_LfTY��"���
²˖�[��D��Uw��u[�c�h��T�<���Fz��$��[�����o��d,
�4�=Q�Ss+pt$��>��!�"%�{�'ٯ��i�^����x����+L}Z���2t��M1�&9��6`���zx��: gB�_���G�6�
b|�,��DT`�|G_��x�-1]�?�_&�!ɞ/?8�}��;쐗#z$>e���-��y�7���k���3�R��f�|n�4R�ӦM{Yl�9fsϊ1}�uK�-�W"bt2���B)lB�!$�_�4�A8Ș�:"����ѦM{��2���c��H����H8�:L����e�D&"s6R�*�g��@�ۡ�Oba�d���w���e,s3�O�7ͯO�_ߞ��@�S$ʫ<`A蒾���M����
�]�\?fa�zD!L�;�V'�nv�������v�3Q��_��W!�nXw�s�G�6�
bC��
��Љ�p��
#�M�����aE���
e[B�(�{3�(�����)�۝v��E�k����݂H$>}^�^B��n0\��4�KQ�8�p�vBX�}��K��ڞ*�]���0�hz(i��(Z�#$����Fjڴi߰m̱2'�O�Ѭ8�
y��� !%�1�\��e?����s�C�R��h��v8���CԇJ�nL5d�,V��,�d�O�	)D�j֝�y�ҦM{��Oځ=�&
Pڴio\�`�Y]�3*�J�R�ԍ�s��9f2ɓ�ÛЦM�6mڴiod�`��1�UzgkT*�J�R��E
�]�Y���p�)=�ҦM�6mڴiol�`�YT���p�)=�ҦM�6mڴiol�`�2��������5ޥhӦM�6mڴ7�m���#f5��%���7�J�R�T*uS�!#f������y��R�T*�J�j�3 �T*�J�R7�2b�a�3*�J�R��LM�#���x����H�����+��Y�縚�R�T*�J]K5dČ9fT*�J�R7�2njJ�R�T*� jȈs̨T*�J�nF5d��F<M93�-۶&@
���-[���S��[��y�[����Z���zS�T*�jT5d�l�3��aˎ#B$�[=��Y0� ��8�ٯ�W�Õ����)u�w=���cK�Q�~9�Z���=��cxp`Y�~xGֆ�OÀI�Z�@�Ө߭,���=�-��@f{ۓJ�R��ͨ����c`jj
�_Ncjj
Sc=Y�[OWw��k�n%��˘��C���K����x���1��8N��f�oyu&����6�J�R���UCF��1�G�f��M�]�����G0;=�1��֟Ԡ���1�C��m��"2�g)���N�f�o&����wV'�U��ǭ��r*��[�e��������u�K�b˷���,��'U���:�x�69X���F(�lK��{j�'Q�x��=�����h{}��95��?<����i���5/�!�J�
ϱt=n_�'*�J�RWS
1�˳�:߂HT�|'�K�+������_t��qd�<����v>X�AK%Ƨ�1��@�xk�zN��&%q��zA��,�9܀�7�L����a	�g\�lS����F�Ͻ�	��0)��B;�}���a�}6����[淿�^����^l��~�=�'���Q}=��9-�xr�R�T*u5Ր��s�
�#9��1�#{�L��_���Y8
�ʹ҉m�ڏ�χn��M�.�1��8zvIܼe��f����G��{�i���g�[��^��x��L���.EG�ix�alٲ�_��a����܃����#����k�vJ��ƿ��U̵Gqf���[v`xj��_j�6w���c˿�@�+gQ��V�Ʒ�J�R�������c�����1�����$�E̤@���[�e�l��l+9Ă���οzL�W�n��8���Z����Eޖ�bg߅cS�����␧0����d��[�m��mb��Z����$`�����#y����
.��#�CɷoFqY�>R
��B�R�T�j�!#f+�c&ø�_v�◳�/CNY�zs��E��]���Y��Y�z.�d�O�Š�<3��s<B��N��������b��J��7����A�N�x$�J�R����4:2
�y�u��T{�tEs̄�[���;T���p�3�e�tsD���]
j�;��Wh��`�z�BS�-��z��r?��nτ�}�JQM�^]�[QQ߉�ԗ�j�o����T�gdF;u?,�$
��(��o�@���g�{�UJ@��T*�J��?5d�,���*���G�}Ƈ���ek���7��.ڏ����E߻��v��F�O��"f��u�8vF�2c���*��n��=?�30	8�D���,�|RE�>��7�smb��zt�P
����r��9W���{���23F�L���V��W���#��>ߧAH�"'�~{u����F�R�T�FV�9fu({���A=�猭�(�ԕQy�;<AL>`��P�T*�j5�c�_���[n�ZF�~�VXo��u��[
��N�^��F&-p�B^	ਧ>W�~_f�'*�J�R����*S�r�������׳5�r+���3����g�vZ�zA��ڭ���rwWc�ݽf��J�R�T#�!#f��Q�T*�J�nD5d�,�~̨T*�J�R7�2b�X��J�R�T�FTCF̌�R�T*�J���2b�3*�J�R��Q
1c��J�R��ͨ���1njJ�R�T�fT���(d,����w$FGV����3���U_?�J�R�T�Z���U���U����$��[���T*�J�R7��?����X�/�SW������,Õ+WP}������J�R�T�P�Q�T*�J�DM0�	���S?�I��Ӿ��~�T��k�|~?@��($m��.���^W�qo�����t±�ayo�O����b�!#f�1\����Ōh$j��J����?����:CԇJ]L�^�����n8z��l�+��o3��{�����N��N���y�cͷg)�	�"�3a�#ef�YO�K�N�nm�=q�HȜv�3�˲^uF"2��?���`�0EP\d�bY��~3��w�h��k}��AȘ�s�3�w�ߏ���Q�&3d�J5��������/�9��3�$��Prw�z�߈Q�Y��j��3�.�.�ZoΒ0�cf�=�d�G��5;�n|
}@�ϝ�3RwN�9i�	�[����y��~�;�Ɦ[��^�E����^xB��RA�
�v=zm)��Ɏ�d%�A8v١(���;�����
��}�:w;af@"e�91�X�J5��_O�̈��)'��~>oV�= �y��z�E箋�
�9f�s�j<��,ݓ^
=T{(��U>P�ʇ� �R���\�$H3"3��;k3"WUjL��	�23F'��o���(�ʚ������Kq�5���v���Q��P�1�=iZ c$�<Db]M��+��j0r��gꮫ��/��D�dl�9�۝/uBB����i��/fw��yݑ��� ���Ű[��P��0E{l^Q�0�]6(J��3�^�8���u�9����Н��9��{t�5>]R�֘�_cz����/�ۛ�hL��׍m۶`jj:���������3=bS�'�x������G�u��#���C��p�����wƈI��ꯤ*����58�c��Ea����z'D IDAT�H	�$��Ӫ��m?��Qt��C����֧ΨP
�����j?�'�!�b��.�~��v?,�U#4�T�ΘP(0Cʈ��PB��IA0&�Xā2�7���+�u��"g�/��u<�8q���]�3w=�3�J��%�8���)@4� x1@��"3�1F?���v<������\h��x��(0��ך�Y��Z*5�)��mF"��r�?T��ۤ�Cd��m۶t�����#�<b�.����G�r aG"De4%��U�����7miZ�x%�}�G��W^=T{m��#r�$��}iڸ��g�q����P�^�z�3�D���Ga'�@l�1�F`1Y0x~$�T���zG��S_*�&�P�a9�|prF��y-?��NX��"4>	@UC����WTH`�UeO��q4��*�J	�H@Vg1F�ҹ��'"eK�\���o�Z��v�K�KZ��� ��X`��N��(f�� 28o�s�
ug�q��A����G
K&B(�q�umo�f����K*u55*%�^�򑘾|<R�Y�v�o�֖���}kKZ;��fF̖��9f�_e.�	��m�͒�6����Ρ�G��
?i��ș���D��Z��8�2��
��*�>����f"�@����P
%���(ʢ�-b@���佝3@C�"&P�3�ȟ�Ix�^�M�!d
!�U�u��pow�U������	H����	����Vü�
X��"�z:ׯ;g�V�1J�" 'e�_j�,�Z,���I�w���ș���50��H��O��n�U�	�{����~=�	������Y�&����d�5����*L6�o�~�?x��!4��|�
��cXjn�r��V{mBD P�\���G�w�H�IH��l�j0�_ͩ�\�c[q�5Y�r�4<�����ֻ�M��0�!g�K_>���>���b�� %D�,ζom��Tb>)��#f�+3�
Ӎ}�	 嫵d���d��k�pO�=�]�v�NV0	 *�W5|se��^�z��2w�U�/�E�Vۢ;?	!:�IOv����Z�Au����1��]Ջ��wҋ�'D�]���(3���R
w����~莔�@�Sf����y�,B$����j���
b��?� 4�bR XL��YN��HY�����9���盓�Q`7�dј��
���k�
@�fF�dL� �)�;eѐ��F۷�LH$r�⑃���W0 t�6��aԗ�!U�|;��KJ���|G�a�{�~~ה�	iG�N=C����ޟB��;���|�G+���r�>��G�1�k\��v˰��Y�#5����T��l@��z�T!!`��F�o{P�/�@ESu:��4)�|���ʒ�r-���U�4ozU��}##W}p{��;セ�3��%^KJ��Ϧ�S�&�7i�?���<T߻#�P�k��k]���о�P��Ɠ��v4�>��}s���(��׏�Z2.gر2>Iǿ�|L��L�=ig��݊�?�AJ��'�s�W���Z���9f��*�0�_.a}�	+B3�(๯X�J zs��O�ȹ��P8��	u&��y��L)�9yb�@��	P��:��I/N^>	��[�
�����q��0Jv�@ ��ϽP������t�ԜS��Q��G�B�"(U�v�`�_���cM����*�P��;w�ܝ�/7z�n���֯j�.q�>�X�~��*�S�^[��-��c��e�1�I5QN�1�~v�.�믩��*s�k!U?�?�D����a��%~���G�}>�P���)��e�T��VR���o$��������� �`X�kw��� jta	DMv4��g���omA��e8�A�'{��=�~G�sm�)�)3Ph;Y��{Q筅�	"��s�c�;i����U
��1�X}�/����@Ulp�F��'1��pb��>��W���G056<���H��G�`L�_A����]p+H�Nʵ��Y�&=�L@@���3���a�זx���
�x�Q{uT����_Tc�K/,r�w��U���o�|���ƒ�i/,�(��{j��`���"CyϿ��r`��O�sL�I׃���L$k�̹��O{P�iM[�b��"�����f��v<ڄ�P7���C8>8�u�
�*3s?f)Ot&,�L {��i@(B�R��Vt��oI7�#?>�R^]mUޭZs@��z��"�h�]?����_]z?���fDdD�8H¤@���!� ������;r�P~y��/���yW���6	���r7g!�(V�&�/�"e8|�B��>�[�?��5��D��za5�c�0�B�d��C���?��f���2��C�����1�?R��6�bF�j4��]���؋�oFw ��EFT�N�H�Iq�L�M�r�Ū`��.�f��z�__f�*H�z
�0�y�9�_D�[�Wq��;�����׀{~ԉZ_�	�o���/,�~Ԅ�<X���G���M��Gm���@J���#����HA�V�Ww��o�@Lb�F��o����RAY!R���J��vHY!h~��{JJ��
wi5j��l��{-GJ��'�l�$�l�k}��д׆�W+�C��Ĝ�?>��P�4V�k��G���n���R��ۿ�u>�,�]�	뙘�|:m��9f�ّp�E��lw%~>�Zuc������G����hJ[�W���l���Z��.���8ؐ^��
�<��ը��~�%P�X=���k�qHw�n��BE�F�nk�Dcr.g/	�W�ɜ5Ǭ�� 2�q����R�7�A������ޮ��&t;�0zk�m7�c�=�la�Y�_e�#f�	�YmP���җ_�I�~��t�\ν�	Q�E�]���;K����
l�!��������0��b@HU���u��΄ b���.�p���?p�XGG�B�*���䥓�G?P�M"$�7�jQ�{
;z�,�HJZ�0`�����2@��>�3([�@�ܾ�X�X��'�����ja�]������@��]�󸸓��z�)R��y�P9��1@^�վ)�6��s��Q*�E6�
F�c�_e"8v;�"f�	�dE�]�D�jSV��1���r�an9	+��� vV&/��ǣ(��T[�"��M���
�s- bVS��#�ug�t��B٧>�?��F��=z�l�vJ@�Q��{�	a",��~W�����^����//���s2�[	��G'�fD�NZ�X]b��ۿ��lү�)�_Lw�2�HM}>�q��9fW��|�
��B�U�я;���1$Po7ϟ�{<P�}8W�y���{���;dp�b�ġ�*s$�:w1J~Y��_��A��#�^]�j�1�B�!��������:��?y5����k�R���&T�vJ�8���i*av�q�U�@Em�U�SDqZ�`]ȂZ��H@�TjS���b��x?�"o�F�D�э����13����?����<����3�gΜ3���<�ɓ�<���t�I�e���%�ꯜ�<�vd�i�GG�z���?�qb��%5昕�Wf9�A�1S�Ƿ��Ϸǧ��9���x�@���/G��L���lX�)M\4>�hB��@�B�� �UM�f�>�3f���<hh��~�� �$U��%���'�H�	|u^Ģ
u^���
(�Zz��,�=;j8_ׂ*T�ԛT���|���[�-u��-�)���c-�I��
�M��E��g3x�~T]��,yQ��[�%���u�ׇ�!@"�g�C��1f/�"�yn�B뤕�.�]�]�@,:K��QYE@�
�l��K0��+c���^U��b�4��FΙ���A��B��a�=F���0�F�L;���'������� H^�N��{[�α?!Ye�J��n�O#o�\�0��
�
-t���m��#r�|������0s�7�}"����R?R��OԺ��y��?�s�ϳ�m�aq����}v+p��9*��fj��m�s6&w.�|^�b];���g�6�{��m1��)���2D7�y�H�$/�D�`<o���
�>?��w�����T~5E��ǧ���=���ͺ��������<s�'�g3�u�y3�ن��GQ�:Ķ_�����t]�������-uV&��o��`����.��r���M�� �lC����<=E�V�X�S�P�ڢ0�������8!!H�KTc�
?~44�om6��MM�� �A�E��^]T8��J�_I(�1C����{?b�0�����W��t���x������Ȳ\S�f�4dɌuZT�%a:2�nԳ�Uc�2�#y�e2�2Yه�'k�1?&�B�j�-�]w�����GI����cQY�l|����d6�� �|�����%�ʴ�!3���-t��0�Dw�����J�,=��vm��`ȜM��-��\zd+]��h}y��rv��'�=<d�[�3�tl2�~0	um���?t�@K#�{�ݐ߾� �o�L���=���L&��e�^N���b�C��E&^<��-r��5�1���f���-��T�\�[��E�1�<�ǁ�]x�o}���a"�dӾI;g]u>RS�:��7�#wg�WS<�\�^��yi�,ƬX��U���w0��dӔI���d��^�G98w��{h��t�3�U���Ӭ̒�4c��G�:��c{���^���.�_΁PAW�o���nr��N�&@��iU(7x��V���]͈1+���n��/�M�PT�U�	S����Ec�.*�P5�e��1+�^?)�1:�"�@�H��)�)�k�#h8e�<��%�����W20�l2f����	P�3>��!t
��.�iGzu�3(�z��V=Ƭh�����b��#$U�3�&�Gg}�P͞:�E��ߌPl�U��S1��DSiMh+ �[��V�����
���Qs(���J��������[hkof��ɒ�3x�Q���q�:���'�i�?N�&o���v�o[���B�3q�^;�˴Ofp+�F
���O2�p�:�1|�Y����.�;���m��������������xct=ϡ>]�F
0��<���--_�:f`�S<�l�!�t|W��	�
ݹ�ֵ�Q���҇���۰+�u�k̜OR�N"׵e�WS4]�a����,L�S
�c�do��+�~d��{9�~4e�����wKjr$׼�4.�\��2I���~��/@����4�"��P���~��-ye�8S&,�̈�������K�5ˬ\�,���@��(��@�j�O�Dj{&�t:���MH	�Ac��r����:�%c��(�r�T�3h������[	l4�n2G2KaT]��!Ι�q ���6�SQ���3�R��$�`�Ѵ��Wq|^�C�W��Y���r�u�m!ddF�����J��SL���g�OQ�7�	l=~�V6v�{hiL�Ȭ�s �oz$���J�u���Ysv�}4�>�.��Gnj�Y�4��򦵺 C/K]_3qvv.���-�� ���1C��>���������G�����y��a��=h:$����ƎT����7}��#=��� �~�^��푃�x�f�#�)�J���5-K�4Y�I�j��b̦�=���WJ��{��x�T��Az����>g�O��<|����A���{r����i:~�|��۸3���a<J�ݣ0���*��Ũ�!K�+S��1f߀f�>k�K&kX��ʩ_�(��&���J0�F���ގ��k�1+8���뚕4��c��Sf1g���	MW3b,J!��Ҋ�!H�t�0S�L�+�#���r�C��3��e�L����WIKK~�M�����ɨGU�i��̑�֍[��Q��s����l��Z�)C�j#R2B�Q��Qb��v#{��j2�5�j��� ��;<(g�xt��y(%]����/MZ���V�Y���dp'�b��l��#?8���C><��u>���ug��S�Oƿч��(�W�˾���2��-�@"5�7]0-tun箎6z�K0�|Om�w	��-Ƭ��"��85F��}x�y�\�F��0S��=���Iz�5IS�OS�^e���W�x֥�uh>A﷦h���%?p�#;�|��d@���fi���\��̭}�<e2f�9x_+�=�|,�� ��2�$Pu��k�R߸�����:�k��5��f'�*k֮a�����+%�Q�I�p�c���F�81� -�l����`N��
�xR��2��O��e���b,������˽�?&���[7��8>I��@����Q��E�k}��7�T�(?�lQE|�CYL��$�ϒ��d&C�8o�T% yP�h�LZ�̕��'���&�k�>��� �Z��4>_BU�2;s�eT�;��6�\�L�}ďO��<�I5A��v����<𕂈N�,㑼(B+�1ci������k�r1f#o'��4������NGh}���?G�>e�%h��<��^��X�F�]?G_�`�,�&컄�V����./�7Ƭ�٣ğ-�:8:I�O=x�ڞ9k�
_�ss�tn��0�xJ��)¥�*Q�0�1���e~n��G����c�.\�5���� W���"s��#$v�G�QƬ�{e
�b�7��9o8O�J����4�P
}��h�er���D�bh�	4]%q.�	�j!T�sqI��$��YM׈+��Tc����A*�2���I>s=U��eɇ^<�X��b̄.����`�>����Z��6Dpc���R�W2�Ao������"�ip]���h��흴<0���0�<�((�,���
��ۊaj�%0W���WԾ��ԕs�wߋ�&^����𞢁Dߞ�:��҃�� 
gG�|�|�,����)�̙���M��ZK]d�P+*���`����,�f9�9����3Λ���yx��u��s�
����p�3���~�)��1�g�O͒<�c�U���O���1�DUU45���A,����s������ �L ��/b(g5��G�[~T3`��3�3颵�����"4<���)Su���%�c�
3��`�1 
�s!��n8e�
���Tta���6��]�@�xt����-�n����$�wFP�R��yQ���2B5��r��H_���ɤK[�0+�+����K�r�7�;9�z�9��O�F�`����n�P��g"P'㻥�����Qƞ�/�~3feڙd4a �M���LN���*)o�D;ǘ����iR_�L���p��?�w�Om�D.c���+����b��+���{���@~�:M�l$R�&�F��u�2ɤ��RM #���1��*^d�"��{L�LF	<�ln��vZ(��
!�i �
ҷ����4�o��g�l��d8'�Ⱥ�.�Wn@I�����~�c�EY�QqXT�d_�����'�E�U��`��H��MRfʉ)+g��,�z�LY��z����
C����t#��OF��߇���G�2�4t?:T�|��2��n�>�t�Ek��4S�D��M�'�R+!Wuq�B�=!/�8�i�Og��s<�g2�5�ܖ!��^��"�(#���n�?\='���v�$�$BO?�@h&C���{��‹�Kfh�:�+(IP5(}��fcC��wć�`C�zӹ,SO��ro�z`G;��`�ٗB�B#��H����rFL��G�I|E}w�Ti�UoEv�=҇g���_v6R��,�)3q郞Ү?�@�
�sI�v�?���;	&�6��󞨩��n��ȓ�����wkA1��K��P�+>+Ӄf��k�n�M�`Z���:f�����]���ˏ��H��j̹-Cj��)��+s9����e�nǿ�h�Ap�z*ā.��ԑb�.��zo�ы���P3xe<��[� IDAT(�i|��Ӈ����(���x��$$�s��û�|�,U_�ٚ�f ��'f��Q��b���T�s��-J�_JI�C;�����t>f�O2��S��K�+��r�ŚF�djD���,_S1f+ K�+�9�l��)
+Ř~�O�����N0�'��ɲ>kjB��	squc��(�W"��<���N��)�d�D@��i�/LæЊ�G�X�u��O�-t��?TEA,�ɱpEv��^��N�{\"����~e*����i��w�n�ӓ�߭��F?�
�Ʃh���Ws���ȳ#���"K[�h%�'ޝ�-d�E�bq����ݔ'5昅i��ة8�	�m�^���q��Z�j�
Tks9�0�T4
V`4����t-�[n
�z[kF��%�VC�-"x��%i��ib�kʾb�s��,v:�1c;��+s�]t�E]t�ŋ�5�\�E�+�E]t�E]tq�`M2f�b�\t�E]t�E/E��)I�c�$��W>��E]t�E]tq�����^�m��+��.�袋.�XC變p���t��&��zFEp�o��|�j��[�fsd�u���s:h��*��\l\
�Ůw���ŕCw�o���Kk�1˿Wf>�~�X,N0Lm�^	����Ic��z���`�$/tc]��*�]���ՎC�E�(\Q�ȋ#�Ȅn��o�IOŗd[?�C� ��B���Z�w��PU�!4��U���k����V=��ޚj֏㥜�~#|e���oV��]ʸ*��,�����q���t�dyI�vk+SL�A���na,ϱ���UU���n��1
��^�v{��<�쭦^2��F`-
x�bR5�65>
�_�cGoM�%s$[��X?J�{�U�#�������i/��]�����zz�,�훪�C�EC�,��~��ײ�Z7k9�+��S�rk��LMG�U-]C�?�n	���q��i_��~2G�
uޔS� y3F
��U5�/���z���˨ס������<hBC��2F�sA�a�w��|�f*%�'��jf�_v�����c� �
V��a�z�/��w�Z�}a�Y4�V�z�z�tqQ��z-{[oi���ZMx��Eiݷ�¬��ꏵ�.e\��yȤ��L[6�Vj:�+}u^~B�ݙ�^���Va=G{��d4݈^P���Q����ؓOΩ��!#D��t��˒�){/B=\�-�����7�MaI�V��Ղ��^�F��Pu!��o\�x��˵�,'�X��cf��o}�	^L1��兞���Vu5�)ZԐ�<��rMEw�06�^F��L����\Y8�Y/_/�'���e%IPi}y3���>��D���g2���g��g���y����(�K�#�z�vX�>��X�r�k#�9[o���zXf��W�M=/$@��Ƶ��Oo-��F��r�qd̬>��X����|�e̖k�1s�1�F�	PL��'[�^nl�������Id���
�.�z��B$
!TD�H��z��]�_�P�Q>���қ=�/W�r#��4^���/+��B��\����U�럌~�� �q���ޝ���W��Udd&��㇝�o�����mk;X#��}���OF{Y�ޔ8��zX
Z��T���[���
LA�5����̟Y��q-�g��]�~�&�h�~7���y7������M4�?dׇ�f,i��p���Y�V�{{�b�9f�u��y�V��X#a#pߺ)t�t�ӌ��K�#SPȲ�0�����1F_~
R���XXo��qЋ$S���(&�g��[
�`VX����.6��Mf��0�Gr�Ɩ�,�ͧ�+���!�?K�$Ӱ1H�SG	o��E�m݃��xq�F�?�Kd���#Y1b�1B֔v����ߤ��+�j�sn�ڞzf�$�~{�ɼd�?�H���u�@ƃ���vm��kS�)mG�b�*�F��Pj�1�Y�P)��z���D�+���-�Y��3ԛǝ�5��ԳB �i�ea~�`�*�s������ec��+z��jIǘ�h�N�%���3?7�:O����~>�3֘c�c&K���%=�Ċ1�i$Jf�,�,�YH�L͑�m���eiWv���y�V�?���#�R�*��ޥ�ʹ7�!�ML��E�G���H�~�^ڞ�#s����gQ�1�PE�臥�0�$;�`�>ө��|��B��bB��X"t�7_FF��l/�c��*���)���@f����M=�yg2�#�̭�}V�γ��j�ͨ_��.h����3���뙟_0�&�����7?jr������e��aW����A��QE�&�Pc�{;�����·r�W]�'���t1�:w�#��q>������c��㓕�/C,��,�	����y�T��������R�s��ǘ�]fŘ�l0P���٘0cI��i�g�=�j�%#Ky	�UV�m�^M���^)��.U����[�v{e	�I��C���$����* �?�Q�g�(B��zg��a�'�] ��L���3�!D����ݠ��7~�O�O+۞nc��})=�Onf�O2�[��I"��/p]&tG/����s���W����˗�o��A,�2p�d������Z�硔g�g���X56է���B*��~e�z:��EV;t�˹���XN�՞����kד�?�͆˫�YNa�󴡓�E�s��_��7mc� �S����L}C���9��AZ�[����Fމ"�	}�^��O�=̖�	^��1ڤ1�����N��i'Ǟ��1T)�����b̦�E���;{?����^���Bi��S��䃛�W7s_N��lo�Lok;#w�r�iS}[������I|�,]��Lϭّ{nQ	�ߏ�_���s{l�U��ʢ�2fˀ5�9ǘ9�.�^Ҙ��l~��J>n�vSEW?9������4mG�LV6?��#����I��V�l�~��]��{I3 ��n~�I��K��)��!�g;c
aN|4j�����d�c�h�aR��ʰ��~�wt	n��ON����ev�dc��6f�0-u���W�t���ʰc�m����?�����t��2u����t�Yf}���Yp*o��B�&u�"�Y��l���^�<����y��K5��0�E�A�҃�B�s�f���z�tcS}*]����E������� ���z�����«�=J��}<�r;��p8�B�=�܋,�D:�8������� ��h��bꏽ�϶�c���!/�f2� ���b�-��Az?D�d�����1{���`oǶ��sc4��ennα^�b��#<ۇ�x�9�V��0��@N�b�����jf�VZ~��碌���.Nw��1����c��ƹ������� '��Z��*���1�6&�T�%�˘-֘c�?Ƭ��2���
Ƭ$��!m��l#�E��M�Q*Õ1
���ފ��T,f��˕�ϝ����-Ĭx�}o����`�sD���Uޜ���>ȓ�w��{m˨G����M�^e�7�9}V�ᆭ��l׳ί���2��N0~w�F���^�s�v�5��}�$@��T/��'��(6r'#f���3��m1DN�����v&�^Β|��ɘَg�2�\�v̘�XE��Mo)�P*×�i���XϹ��1͜`�%��ÆN�e��	G�w�-=!��J�G��~�~{Y
����{I�xf�:#?���S��宗TN�#(����;���v_���4"���� R���{8���������u�}^91f�,1}O����a ��:?c�ې>��5�=�t2w�3��W
%A�����:��u�ܫ�i܍v^�-[e�H2��	dɓ�<�������}ϹX:֘c�c�=r̝]&�eo*�T��`�2WR/62-9,gd*���+џ9[��l�-��r�w�z�f3 ��BO
���hw���%�r�[��3�<
m�ű�#����hc@�Q�1ƞ�a�=�c�qvRǯ:ٿ+�1���I9�v;���1�=���$]��޲�3'��^��u�g3ۙP�y��k��˘e�lY���!L�/{6b��f��"�P
S�j�83�|��rܱ~��c�}�a�R��˜I^����7�����j�]������G��oF�|��%��i�d�X��@ܮ?d�O]���av���h�L�e@]D�эc�+l�%�󹐺�C��7���M�ï�������Ӏ�|�L�1��Xc�Y�2�g��F��V~��mE���d��_ZJ,�12�zU]�[���r�HF�M%�����`/K�;������Ua�.�G���]����
��3�2m���)d�-ol�}�t>f�[� �2�g�'_;HPmd�l��%�u0�L��3�813�R#r$J�#�%l�a���M��R�|9��:�bB�c��o���4���~��od���X���<~�ُ>]�^��EV�.T��pX�)'fKO��k�2B�Yp��9�~���s��j�:�[c�u��`�������Ԁ8w���#_6v��T����Ȝ��!Zڶ�����ԏ��+m�V��ԏ�X�ٌ��)������9[���}P�qL�&�ytd��sżNۺ�!߆v�����$W�W&:D^YqF�R�U�Wf��2]\�3��� ;�1���^O���f���.Eo>{�1f�$��T��?67��@��f/��E�m�c��1���8�S�I��P���N���XL0��a�{����][���vld�cw!���\�4��q�
�|<«���	&��踳���dn�^���c̊�f6�+w]0K
�[���cӜZL�3f^������>�x}#�~>��`��9��oB�~�4z&W�^��Ì篇���h���t����<��Zz�=������5���œ��D
��-�1K��9L\J���<>�.'7��w��0�χS1f�﷦��
LM��{-���z�<v�
��K�G���^�?9�`w~̉1�4�Q�ȿ4��e�o��	�
���:��s�o�b��m��=R�5sZL�L9;�\ז�����2���Kb�L�3�u�z1f ��(u��3�Xcʱ��W��p����̴����y��U��7��[H>��w�7��)����]�{�0�I#� ��8�����@�i�3̛�hI�[?b�.��~��0=/��.�U��6���Q���i	f?�C�У����K��!���Y�[�'����7�.
�
���O�����I˒'��룒��z����
'��������d:��M��������n/��J���R�F�c��f�4Ci����=+�,���W����zX̘�/�ڷL����m�W����yn��1u�����On�ά_K��[��ϱ~��0��y='����1fd��m�О��5�׻��G{��T~��1?�͖� �i��>ƿۚ�_����IAK{���זȘ�o���4_�ߜ���R�ƺ���洎ّ��tu��|"��N�y�Nr�]��;9�O����i:~�|�ň�G8�r���@�(������J�<�9�����1�dVKAkg��f�.u��O��1f��.��Ռ1s�V*Õ�ɶ����*W�?{���3f�]��\{�p��Lng��Y@��s���L�G��Q���"��гG2����;KR$�}[�)�|�N>�����!z���3�I�c�*)/�c̊�f�3��z-�'����p��Z�3gkٙP�s��^�v��>�: p}#�|L����cv�tfʜڷ�i�h�[�L:;Ǎ�M455�q�7pf������tv.���tv.���njg\��o����&�:����������������,|9�ӎ���7�<�N=З�������zo�m��K���:����Lw����x^�]r�C8�A3��p/�B����� �c��Iz���T!{�|�UF�0�_�Sߴ3��6|��t�t��<�Gv�)ɀ̛����\�ֻ��y�$Fֵp�V�=ȒlƁ^1ڧ�W�UM�ȟ���7\�lY����+��ʴ���35+�Cх#�U:����R�f��==vb�JM;ٻ}��j�c�
�ݴ��幞=F����|��4s���y��'3��Դ�j/֬�J�#%�)�\U�}��f������������l8�N�s>��~��s֜@��ΛNge�������ȧ��L��TS�ޕf*B=��g2���1w��pǡ�ޟ��a�
�d����홳&��10:�43W��4?!�`����S�KѵD1�;�1��X�e~�X�8���au��Xc�Ye{e��/�+-F%=2M�K;k�"䎤����H�Rt��z3��eVV7���Y��*����HX�Y`�4��΄���:�9u��\i?���K�%g�lU���c���Y�V�dz��W���^�=K���f���3�i�,����YT���J�]��߻����i
�E��:%��ϲ��
a��i�5;xU��U�5昕�Wf�MA����+{�C�
3�Q������-d��oO���ݜMX�:/���N�
�oO��ں$}V�һ�읊F�������J�Nͥ�X��#��u�*��½2��P'�,���B1f��O�F���?�7L�k/�*�l1gv)S�7�l5����0�+:6,�1�3�U�lfn�$��kL�?��ќ͌C�˘]ƌY9{e�n!LMGa)벘�P�����x����Yi�^A֑Y�NEc��_�����Ţ�i*�>��.ow���	m���8����Byc���(�d�M,��f��JN���i�7�[zK�W,=y|����>��B�����~4��9�2d@��^����칹�b1fJ��3;���}��_��e9qͅ��/WjVf��߿����{�P�T,cvY�미X;y�0=�v�8g�@m�t6�jN#`�ׇU>����z.�o��G��b)&t��c1���CD?�2�v�J�`0@�mƊ���
	�b��ib�x�i^��3��~�..����C��r�ï��5H[��d�e"�gG辳U�9%U/��ʢ���iv�׽���RF��G�\R�^�.�N�F�2iF�rE5cVY}��g�s�~c1��fB� xs��-���������V`�0Ͳtq���񽺬1f5$����2Y�1��k�1��Np�Ƙ�x��T��ښ�ɭ��-=y�]�o�ZQ���3��Zx�.�X�h1��?_����#�gG*fr/g�u9Q*�i.��+��K-�bzz�*#�K!=y�݊�o2��Zx�.��Z0x����o#5��3])�{93�ˉ5ɘ�O'lU3~�sw�n�M�i7���J�C��Jf�\,kv�̶�mFl��袋.�袋.f�&�e�S�k�1����g1�GW����b9�)D���K�٭��8��.V2۹����(QSR�1f���D?��{o��L���Rq�1:����K#n�x?��p��ib�ٵ�{�ۇ��=���pE�#/����5�5ɘ9�c��M��`G_���^+s}/_�Ж����v��T�{���_%|/�����兪�0��X���*�GV���PS������MA<�'�r�����t���r�R۟U~%���Dk����~z='$�E�Yj��\����šd̜b�<�����^�������˘��R�2f�h-��	mIz�֯��`1f���PU�ޙ���	U0��˘�*�$c���	
EQ����$��_�^��g�ȅ׻Y[��"։�X�v
k�\S���b!4vXc&.M�LQ4��$J�T�"=k��r�‰���.в��7�����Jק�����T�p��s�<@�]ׅ.m
�=ϳ#�2�hQ�y��0'��<ZX�d�ɋ���"���"��Ӄ��wqE1��m唯�ݯ^���U����N���[�	#]Ny�$��:�)�}�8I��K�/qn����n.V��l�>}i�]��Xc���cRȓ��2�(��\[��so�i��χ2��cg;�$���q��&�B���~a�ï��u��t\����v��}���|K IDAT�'h)���_m����L1B�+�����q-�����TO�5�l��]L�R3�[�����sqY�@�+]Ƭv��3�1#˃����$�JkBCS��<P�'�zc�-�1f�0L��~|I��?�'L�C}���ck�^���~�3&�::��j<���$��	b���U[����b��eQ%�Y����=b�Բ�'�I���x*�)Z*֬X���z.<�d�5��9`�=�j�#���#3?�����>O��	vwf\gi�J8��\\���_���y������z�n��*���4^]OcS3;�-/?�����k��~3#��|u�m��+^�+�5昙�<�SV��iŖ���K���Œ��������I&�%b1koL����U��6f�G}{:]��y��&��8FL]�������r�;���o�!K2�u��KM�P�	lj���P�xJ���xR�C3�
�sj�$O�	l��K$W4+ӊ)[�~6�N>�6:�9Q�}㠡�*B����W��G1���"h�?�87���G�ٹ���z��g�=;�T��<���od�O�M��5��bo����-L�S3����D�����N�?�]|y�����o#oc��s�8�xi/�ߎ����{�}�a��<���w���#�z�
��{w�PZқ���cf�|�b�'��-�|�_W��c�2�W*�F.���$����1�w]�����6�ѷ���5�,��=ƌ�wO'2�&�i�f��?�`"*躯��:��ٻ�<��F^I9)���)�W���Ȃ���.uPe�7��\(
|�N+���3&���I?"�u2�:?Z"�V `��R�#xm0����z���5��!@��#p��@6b8i�fG*����"��x�adJ/0�b���8�Bw����;�{#}m��cv�Y��ܳ���0�1��N0s|�pҭϮf��gb���qZ�r�,�.�(
!Ҍ���56��m_�g��gᾇv!�c�����}3'h���O��e���WR~�ﳘE�!��������arr�w�߻+�5�W�}d,tĢ ~�`�B�B�����e�a�-�ؾ,�b�/���A �+���̼	�.�zs�L�n"^�!� ���zj5ު����5G&���������A���pq�0kV�u�wO/��"��)t�ǶwOof����tү,�+�]�*T�=��W0bAF��(��վd��(�����9A`����Ջ�(Ȓ�
s\�g�s#�f�O���
6���3�Y�Z
^��8���$C/���F��� oNu��:��w�_���^��
�ԍq���Տz���-����S/�d�0>9N@νk�gUZ���,�xM�s6f����|9�wJ�洀�����v��(H}�󳮃�B��O�t|<���	v���̾���B���%�!��:f`̎̚1���&�����bː
�_c�$I1	���S��9��צ	�ך)�竟L2=M\U2�\4b��ԟ@0M��C���#��dI��>é7;��e�/��r*R�R K^��Z�yAO���/�
~����$�
~Hđ�7�A0�Id��
�Wf�XZv��ab��	�p;��l~��
P��F���$5K�PL�G2���N�b�2s���{F0��vvw�0�����>?�v���F�%�O���~qڽ��+�����'	���
k�����v���,�U��}�cv2~?~�ϗ��s����kW;���� ѧ�|�(�;��$��c��_�cCm�r᪉1�0�@�Y��ز�\��%I��7�fr�E�#���I�C}��׆l���� I�@���c����],U��1���d2eN��o˩��� �X��yj���w��l�Z��:��s�_�a�8�k�	��D�pʩ�|�2�W�e��l~Œ%Ӎ��7��f� ͘�8K�b��Բg���q_��Hn����g��1fg昝J߈`�\�>!�ϡ2��2ӷ��$jc���%��M7�3sʟ�[`~n�`���;�} ��Q��v
H���ӰcǦf899N{�$=ǻ�w�̶�����������rb�9f�1f�Sqb��g���	T-�,����o�K���GѦ7�I���������h�y2�|L�3m�������� �w�H�e��)a�aq��1O��cߞ��勵s�����^�v���b��;_G�y��gq�k �ցG�"�g]��b�Ċ���d�$������U`v�4��y��1�f�d	&^� ��p�O _�Y�#�J׿`�-
�?6Bb��33=e�3^`��p�#?��ȴ��L����c���\.S�S>o�����V6�p�\�xbzoCwi�E�g�'�9�r�I��x7��n5P�ˉ5��_ǬԽ2��nY���b�&#�b���~q�w��ywGF>d:o
2��0�_%�
d�_�N�$yq�ȋ����3��@^�cG��;�L�v��Ղ˱�Yf��,H�U�g�$ZI�y��&u~�T��@�UA��9v�â�2I3e��7���'9�z"�93���L��N来i1J�l�J%S�c���F�����34ڗqEWu-<}�V�v4��6b7u�`���8L�����o7���i]E3���llg|l������t<�k�J�g�kuQMu������ȽA�w@�d�G���8�Yr~>L�����}= 7� �Y���	do����/��2�1�4�U�xk�\�b֜�G_���^����^���{�����t��C�`쭱��Wny��2c��R/k��L��$ʢ����h�[.��dO�l���Ƞ-j�E�x2�,���]U����+3Vo��`
�T:�D�	�Lo1ҋY�͘���N�����E�=v�2J��ݨ���.4]o�W"s�ϧ�[�ܴ�vJ+�
�ǧs�_��U���iǽ2����ڿP9�."oE���yu��R,�	I�����W
�Z������(���׏�ٻ����Ěd̖�W&�����.�gC�)+�8(B�8�$)�.]������7i�����6Znm���%c=3oCCj��@�ߐ���;�wC�3~\��:���[h��t�Ηv���ly�I�}���F��ezK�9�#�,��b:e�2��|�͆�u�*G}n�M;��1b�������_����ʗ��Eƙ�r���Y^�ߝY�X����G��<޺� �g�Y�;I�����%�I�.���8+����ޘ��kfg�
^[��y|IR�z.�����n
Ři��T;�b��R�s��Q'&���s���$�CAu�����d��v�dd6�l8g���OM���³����zPV�W��2Wdw�n:_Z�fUf��R�+��:^�73�&�B�dѽ2I�p�^�6�Q�l;����$����ՁK���r�+�iǏ�=@7����7s���i���b �fSV*�x���ݴSZ�ie髑��b.��3�3EhS�qd���7r��1�+S�����1:���]t�Z�#VA�+c�Z�ZT6xm��y�+ײ��T,�{v�vg�,~e��;;�*��a�e���v�5�P�D龳ӌ1���S���+�5ɘ-u�L�!sʷ;e.���@�����5��T�^�-O<m�S
�'h�t�J�MMϊ�@����v�ː�%c����+ݏ]tƚd���W8+�b�˘��R(t���K`���k�~���fe"��a�G���b�J�ōn2f;:Q��q�k�6f�M�鋑��LW���.cV�������t���#��?H�T�c�W�;�?��8J�Κ����'ߙ�����ʏ�=F����%�b�8��43�ik
Մ=.^^8y�]�o�ZQ��t��MZok]�p1k�1sZǬ0�Y����h.�X�n
��p,���a�(�X�\�@v��U���ᔭt�q�%jJrc�V�G͎�7��碋�`-��KC���\q;\t��Kk�1��:�F3~L,O�M�i7�ݴ�v�n:�)�J_J(QS�^�,tK(�2��t�t[(DpS���qbq�\��(om��ݴ�v�n�M����њ��Z�s������ⴷ�j�3_-�����nvIL~�$Wy��SȒ��,]t�E]tqű��t��1�)HKk�ʚ�ʤ���~!tK'�,�E�w�9��+m�+���+���%5��l:�LFȕ���hƞ���6�W\q�W\q�s��1f�Ǖ����][i]q咔5k֬�	����*�s��1f�jd̔q֬Yy6�c���+���+�ԨԘcf[�,c���f��L�K}u�5W�*�����6��x���15m9?E���Y_#_!�L�1s�W\qŕ�s�J�1���w��5��R��o4Z������i�y����X�"D���Y_#�c�+���+�S��陜�{'�.���g�]L,)�L�������)f�j�e��Y�w�k!y�o��φ�k`q��F~ږ:俩��O�N��u�33��v�����ƙ�j�+v���Yv|�0�I�IT]���>�p��";c�]�n��+���+�ԮHN�Q��^�0j@�3�	ky����q|Y�Eڷq�[}̟�£�	����X��_����N�Z���wo-7��V�u��^eM�n��y ����~Z���_���V<�d��#�-����~9�OW�lf���>{q�qc�\q�J����f��7��sw/�==�׭�q���ʥ(5�)��3�	[�ơ@׋�L��{�Ord��`�|_�&���K^'>:F�g��]4]�h;���Y��3t����'h�!�ie�:Os������]?�+�����r��sc�\q�:2��m<��(�[����As���ӻi��O���+m�+��r	J�9feĘ]�2��'�yZ���6��mhG,N�j����G��+\��SnMp��9׳����O0���=
=v;�)��ч�g�5~{?��_qc�\��%���c��@�RA�	��xe/^��;:	�Wy�����:X�]q�W�Rc�Y�1f���s�8w�esv�τ3�Ӈ����u��L���]O���r�g��'	��s$�`�N�a��^ӎ�/����'J�c	�c���,�A�D�^��C{:�J���F9��aG��5��z:^D�+���JyRc�Y	�e9k�/��G���s���s�p���| ��V�b�٣�&��1ƞ����k�]e����������Er��t]e؝��]���md��"(��U�����ai�Ƙ�r9�?d�]���u�<;��]���?-1���+�ؤ��2b�L�\7@_��q,��cthc4���ij���}�<��P�'�^��-��:f�4��rl�t��5s�V67z��k���G�OӴ>1��>�ޞ���$-�����6F��i��7��W �>q�W\YERc���c��΅�/ܡ����f"oM��"���O	�<E�bumȒ�{�i���….�n�g�~�C�'n��+���r�)�gG�A0��8-��=���\���%�1��B�m��vW\qe�&�հW��3=xo;Hs
���3W.��Oy���54���xT�o���5���:��M��k֬�lc�#�~���ވ�=����b珷����AƏϦΙ}+B[�Ï��Wzh�a��!��]S�v~~��&w���B�k���л�ϖ���+}���a������+��R
�1�lu���y����X�J��(K�1[�f
�P.����c͚5�>^��TG�Z��!_�6�����-�ֵ�� �?�G-���i�$$%y����f�~�gAg@�l�����^��ӓa&_��:]OM���QNN�Ƀ�u� N3��~~��Z�j
���#�8D�4Ȃ�_����4]���V�����w��P�v�2���<[�����ٜs�D�Ҵ
n�e׿��Ee���<��?���4�ng�G���w�\q�W*��|����<xaב��O�����'�N��!�\�>x������B>=r�BǞ��.xo�cƱ��/Z}���]��t��}a�����q�g��ҬլE�]�Hl�D^�#�$U'Q���
v/�I^�w��K�[�G>p"ߚJ9�Rr�ӥ��r�Hg{SņTi�RZ�(WC��p�"c�,@M�"7�����?����`�]�H֚�ٙw���3�{���?Z�
��Yk�P�R��XBq�7]�[��鵟�����_8Q}ڸ���3$�;�E�G�bE���DDӯnĿ�Β���>�*���{��}>�@�?�wE$���3(�X�gZDөsI��RR-.L.閮��s"t" ����1?[�>k"����0k��%Q�y]t�􊫟m���m�F�XYZ+�W�^C�����Bkt���3��(��h{��e3qg^�w��)<��]��y�}]��U�Y2^������Ǐx�Z�_���p@�R�߳4}U���z,̈(W291��D��$���O3��1���;ߊ���@������.`�'
p��m���h��&1�u��{Up�m�9P����s�A
E	���4ξT�v<��P����5��d����a���xݰo��f�a!EJo�����(��f���p��W��7MF~�c��6�j�v�
6�.O%~|�_�ok�0"o��k[T���Nz���n�j�r�a�f���J4�t i�}�/o�}�Ϧms���$G��;�����p��P�R��=���_Q.~6	�{l�/r�����zo���=O�p���d�2LO^��+O����k�J���ZQ�3��t���=f9I�c6�Q���d�P �'�'���~���9����X��R+wL�W���ŀ�}.v�TQ}��BP��Z��^1��ǝ%Q�T8˫���_T?��m�"z��[k�s�W�D�p@�8�
��T�k�wc�W��W�k��Zn$��N�����}~x�/|奱e�`���D�!�	n|n0�a��OW���~�Y�LJ�ol<>5�<p8 �G�"p8��Y�U���
�����^W?�j�Z��V�yk��"�۷�ڑIO��qҽ��(�
3f̬�k�L)m��X1r�얏n{�?�Ӆ�b��R����
ݗrym�^��F�W�g�/�K����m�H��Ɩ��}_�"�Z$�_�h?��_Ư�����K,%�K_\�g�L�v��0�𭿧�u�g�"��
�s�lU�"��T���R��J�e���K(PL�����"��*];2)�Œ�r%�S�)�1��r�L�ك�o��è{4��}��e�����<���ZB���)�O�����x1�jM�>�Vt��X���JI;���O&���Aq6���pvh���	���Ɂ���m�]��O�o�)%!t�R���U��ɚ�m�?�=	9����T7��/e7��v�b��#(
痍g��g�3�&�8g9���h�$`�3+�3fJ����8f�����b�-�:��$@Q
�!-�A�������,�r����ů5
I��[��aUg���t�
ޙ=��!7�{�(��'�c7����������3�<���/�ْ��^��s�怗b���*�����ߗY��Y�q������q��2'Ya���.׹2�]����^v��KL}�J�?���e���rMw�E
f0�ᶦ
6w�
�~�
m
{���:�}��'��P_�.j��x�e޶te��z� �n�c��mM�[OS���~�d�nj��#٭��ʤ�r�+Sq�x#�_��vkO5�<}x�)�]�̶O�\U�4d:��"�v�g��b�˫8�zMG���W��Կ�5;�7�f�@˲h�L�f0��j춤R|o����4-��"j�f��nj���$+̘1�B�se��W�x��:1��T#��ڟ���l����
���8��f�Ȍ�U����{g�����+�X��e�ON�m�P�`�V���D���0_��ؓ�l�0O��IDAT�V��q�7�����Ln=Mj�(V?�+�>�%�g��3�
3f̬`�8fpvl�B�ӿ���Gݿ��y�o�P��H�V��P��cY�#=��'��_�yh<��.����Y���B��Q6�c���)�M��/ֆ΍���cet���S�1���E�ݒ�gRT)4�"�4i~1d�m�
3f̬�k�,��g/�H(V������Ǭ�m�N#���[���գ�;Up9�x�o���-�b~s���O�����x�u];^u%�O4�c|p�}tM*n�;v�Qw�
�zT�vc����iԾ�e�FZ���L
ԣ̵o][���94<����!��f����@C�C����;eOhv�2���g��g;��[��L���sN,���"���F�Ʊ�e����CD�-�
3f̬�s�,���x��'�X������vƦ��~��b���tJ�����J�Hoez�/�.\��� |>��k�e��@��n�>����Ax�5��kC�`.�B���Q�*�3ug;ZWC�����D=h:s��%<��h3���'0�/Czhc��}d�k�M{�e�)kQ��1�����[�c�ze����j�c;�fر
�
����njz7�;Q�l� -m���-�N+j��c��j�+�yއ�g�{�ۮ���b���E�k�	L}>��o6?�FҦ�l6����{�M�6�-�(DD�LNL&�w5����	�p��|e��V�cF�{p7�V"�y�CW"���M�B�]^�jF�d}N�k�]�H/��U,\�F��L�.�
�_0�{[�}��It�w"lx���>�<�Q.
*}�=R��X��ŒYNrϘ��\q}�r/š�G�+w�n�Uc�`�"r�:"?I5����W���9h��[�(�_YE]�
3���~7���P��
�~���3P���h>\E��e�o�b��N�k�>"��W7w�DDF�1{�1#�=��zhQ�Rځ�g֊2xā���9��4O�V�p��S��.�ю���S���;��6&��
�E
Ji�|kE8�Ʀ֚�MEDd)G��8f��}3���l�H��
��mǞ,CS�$�~�֭M<���"ۧ���6O�3f�r��8fD�lE�bG��.w�1�nb�[����/��DDf$+�8���1���uŊ��n
`a��66h��M���=fD�p��0c��
̘��ۺbex(o�v��
�_��A�%��cFD'f�B̘�VJ�q�"���߁��-=F���\��I�cƌYn�1#""�O�f̘Y�3""��$Yaƌ��=f3�3��6ŌQ��0c��
�3�*_3fDDDy@ڹ2�Z�?�O&������-�"�r�L""�< �\�]=��yއ�g��G���9��Q��V&3fV�8fD�� �\IV�1cf}�l���f�1#""��f��
�3�@AeE%�1#""��f��
�3�NV�Uf̈���d�3fV`ƌ��(?IV�1cfΕIDD��$+̘1�B����1#""��d�3fVH�1ӏ�0cFDD$+�
3f̬��1�{�F�1#""��f̘Y�3""��$�\�̘m^�8f�Wf̈���%�\�̘m���l��Pxvz�1#""��d�2�1�B�8f����1#""��d�3fVH5�?3fDDD�0c��
�F�gƌ��H^�f��
����1#""��d�3fVH5�?3fDDD�0c��
�3�7�?3fDDD�0c��
�3o�7n�f̈���%Yaƌ��1#""�O�f̘Y!�S�̘�K�Œ3+�{̦�Manv�3""�<��2B�seVVTbU[eƌ��Hr�+�!�j��3"""YIv+�3+0cFDD��$+̘1�B��2�1#""��d�3fVH5�?3fDDD�0�8fVH�1ӏ�0cFDD$+�
3f̬��1�{�F�gƌ��H^�f̘Y�3""���P��sm���IEND�B`�
scribus-screenshot (59,512 bytes)

plinnell

2005-12-15 17:59

viewer   ~0007736

We are planning to re-write the text layout engine in Scribus. Sample text in Kmher would be useful. Thanks.

cbradney

2005-12-15 21:26

administrator   ~0007741

The fact that Qt can render it ok has nothing to do with Scribus in this case.

jens

2005-12-16 03:01

reporter   ~0007746

Thank you for the quick replies.

> Sample text in Kmher would be useful.

You may cut and past from www.khmeros.info after you have switched to Khmer language.
The latest QT and Pango do support Khmer very well and you can use Konqueror or Firefox to see how it should look like.
If this is not working for you drop me a mail I will send what ever you need.

You may also download the needed fonts here: http://www.khmeros.info/drupal/?q=en/download/fonts

> We are planning to re-write the text layout engine in Scribus.

I'd like to know if you are going to use any existing library, (like QT, Pango or ICU) or are you doing the same work again? In case you do not use one of the three libraries I can offer you our code for Khmer. We developed code that is now part of all three libraries and I would be happy if everywhere the same implementation could be used. This is consistent for the user and easy to maintain.

> The fact that Qt can render it ok has nothing to do with Scribus in this case.

While this is technical correct you must addmit that from the user perspective it is quite surprising that in one widget of Scribus rendering works and at another place it fails, like you can see in the screenshot.

cbradney

2005-12-16 09:46

administrator   ~0007747

Yes, its understandable. Unfortunately we are in the process of a large refactor within Scribus 1.3.x and only when that is done is the new text system possible. We have some test code that works quite well for Indic etc. Our code is bsed on a mixture of the libraries you mention plus our own. If you could provide a link to your code we can use it if our current code does not suffice (perhaps its on that website you mentioned). We certainly plan to support as many languages as possible.

jens

2005-12-16 11:50

reporter   ~0007748

> If you could provide a link to your code we can use it if our current
> code does not suffice

If you are using the latest ICU you have the code already. The same code is in Pango and QT in the latest released versions but with a very small bug.
So in case you get your render support from one of these 3 libs you do not need any code from us.
If you really want to write your own render code you can look in the code of the three libs how it is solved there.

plinnell

2005-12-26 21:18

viewer   ~0007826

bumping to 1.3.X

ringerc

2005-12-27 06:42

reporter   ~0007827

My impression was that Pango, ICU, and friends don't really have support for the rendering flexibility Scribus needs. It's necessary to be able to apply quite a lot of transformations to text and characters, and to get a vector outline result that we can use in PostScript and PDF as well as for on-screen rendering. Access to the full faclities of FreeType through the library would also be important.

It'd be informative to know more about the capabilities of these libs, though Andreas Vox is really the person who knows about this stuff, not I. If one can do the job and is flexible enough for future use too, perhaps we could save ourselves a bunch of work.

mhanski

2006-04-14 19:50

developer   ~0009969

confirming

bountonw

2007-08-09 14:46

reporter   ~0016999

As far as I can tell, currently the only program capable of doing DTP in Khmer is MS Publisher. Scribus and In-Design do not work as the fonts are not rendered properly.

rsperberg

2008-01-31 22:54

reporter   ~0018798

In addition, QuarkXPress does not render the fonts correctly.

For that matter, neither do Adobe Photoshop or Illustrator.

On the other hand, Inkscape does render Khmer properly in certain fonts (such as KhmerOS and KhmerOS System) with a few oddities if other KhmerOS fonts are chosen. The zero-width space is not treated properly in Inkscape, however.

2009-02-03 09:38

 

font in of.jpg (106,184 bytes)
font in of.jpg (106,184 bytes)

2009-02-03 09:41

 

2009-02-03 09:41

 

2009-02-03 10:02

 

tola

2009-02-03 10:04

reporter   ~0021065

F1 for Scribus manual and search for Unicode and choose Non-Latin Font, and it says:

* Almost any good Unicode font will display individual glyphs in Scribus. Testing with large Unicode fonts such as Bitsream Cyberbit font shows no issues in display or printing, except for loading speed.

But Scribus cant render the Khmer Unicode well yet. Please see some pictures that I uploaded.

Khmer Text in OpenOffice (works fine) : http://bugs.scribus.net/file_download.php?file_id=3974&type=bug

The same text in Scribus :
http://bugs.scribus.net/file_download.php?file_id=3975&type=bug

Text in Editor :
Pic 1 : http://bugs.scribus.net/file_download.php?file_id=3976&type=bug
Pic 2 : http://bugs.scribus.net/file_download.php?file_id=3977&type=bug


You can get Khmer Unicode engine for Windows here : http://www.khmeros.info/drupal/?q=en/download

Anyone has any suggestion on this issue ?

Thank you.

I used :

Scribus Version 1.3.3.12
Window XP SP 3

386sky

2009-12-05 14:16

reporter   ~0022913

Vista version of Arial, Courier New and Times New Roman also supports Indic transliteration.

Scribus supports Indic transliteration.

sungkhum

2010-11-20 08:25

reporter   ~0024855

Are there any plans on working on fixing this issue? It's been a few years now, and still Khmer Unicode does not work with Scribus. It would be a huge benefit in publishing books in Khmer as it would allow using a Khmer spelling checker (MS Pub doesn't support a Khmer spelling checker, though it renders Khmer correctly).

Is there anything we can do to help?

Thanks,
Nathan Wells
for sbbic.org

christoph_s

2010-11-22 22:43

administrator   ~0024877

Hi Nathan, there's a rewrite of the text engine going on at the moment. I suggest you contact the developer, Pierre Marchand, directly. I won't post his address here, but you can easily find it in Scribus under Help > About Scribus.

sungkhum

2011-02-26 08:14

reporter   ~0025667

I tried contacting Pierre, but got no response - any idea how we can help?

Thanks,
Nathan

sungkhum

2012-01-21 16:05

reporter   ~0027582

Any way we can help Khmer be supported? Pango and Cairo support it. I am not sure what rendering engine Scribus uses (or if the text engine changes already happened), but we would love to see Khmer supported. Thanks!

Kunda

2015-05-25 04:36

manager   ~0035232

New effort to fix CTL in Scribus https://github.com/andreas-vox/ScribusCTL
Collaboration is welcomed.

Kunda

2016-03-23 12:57

manager   ~0039359

According to HOST-Oman team, these issues are fixed in the new CTL branch!
See https://github.com/HOST-Oman/scribus/issues/75#issue-142809558
There will be a build provided soon to test this fix OR one can build their branch manually.

sungkhum

2016-03-24 01:36

reporter   ~0039372

Wonderful news! If you would be willing to let us know when a build is available for Windows that would be great and we will test it out.

Kunda

2016-03-24 21:35

manager   ~0039398

Sungkum, could you provide for us some test documents that we can use to test Khmer script with ?

sungkhum

2016-03-25 10:42

reporter  

testkhmer.txt (2,155 bytes)
នេះ​ជា​សព្វវចនាធិប្បាយ​សេរី​ដែល​អ្នក​ប្រើ​ប្រាស់​គ្រប់​រូប​មាន​សិទ្ធិ​អាន សរសេរ​អត្ថបទ​ថ្មី ឬ​កែ​ប្រែ​អត្ថបទ​ដែល​មាន​ស្រាប់។
នៅ​ក្នុង​វិគីភីឌា​ភាសា​ខ្មែរ​ឥឡូ​វនេះ​មាន ១១៩៨​រូប​ភាព សមាជិក​១៨០៣០​នាក់ និង​មាន​៤៨៨៣​អត្ថបទ។

វិគីភីឌា​ភាសា​ខ្មែរ​ត្រូវ​បាន​ស្ថាបនា​និង​ទ្រទ្រង់​ដោយ​អ្នក​ស្ម័គ្រចិត្ត​ពី​គ្រប់​មជ្ឍដ្ឋាន។ លោក​អ្នក​ក៏​អាច​ក្លាយ​ជា​អ្នក​ស្ម័គ្រចិត្ត​ម្នាក់​ដែរ។ លោកអ្នក​អាច​ជួយ​លើក​ស្ទួយ​វិគីភីឌាភាសាខ្មែរ​នេះ​ឲមាន​លក្ខណៈ​ល្អ​ប្រសើរ​ឡើង​បាន តាម​រយៈ​ការ​ជួយ​សរសេរអត្ថបទថ្មីៗ កែប្រែ​អត្ថបទដែល​មិនទាន់មាន​ខ្លឹម​សារ​​គ្រប់​គ្រាន់​និង​បញ្ចូលរូបភាព។ រួម​កម្លាំង​គ្នា​​ដើម្បី​​ស្ថាបនា​សព្វវចនាធិប្បាយ​ជា​ភាសាខ្មែរ​តែ​មួយ​គត់​នៅ​លើ​អ៊ីនធើណិត​នេះ​ឱ្យ​​មាន​​គុណ​ភាព​គ្រប់​គ្រាន់​​ជា​ប្រភព​សិក្សា​សម្រាប់​ប្រជាជន​ខ្មែរ​គ្រប់ៗ​រូប។
testkhmer.txt (2,155 bytes)

sungkhum

2016-03-25 10:42

reporter   ~0039401

@Kunda - Yes, just uploaded testkhmer.txt

user5122

2016-05-07 11:40

 

khmer-ctl.png (418,808 bytes)
khmer-ctl.png (418,808 bytes)

user5122

2016-05-07 11:40

 

khmer.sla (32,974 bytes)

user5122

2016-05-07 11:43

  ~0040863

I attached a Scribus document containing the above Khmer text and a screenshot of its rendering in the CTL branch. I think rendering and line breaking is working fine, but not justification in lines that do not have spaces (it is broken in LibreOffice as well). I’m not sure if we should expand the zero-width spaces here or is no justification is acceptable/desired in Khmer?

cbradney

2016-12-03 22:10

administrator   ~0042615

Rendering seems fixed. Please open a new bug if justification or any other issues remains.

cbradney

2016-12-03 22:11

administrator   ~0042616

r21564

Issue History

Date Modified Username Field Change
2005-12-15 15:48 jens New Issue
2005-12-15 15:48 jens File Added: scribus-screenshot
2005-12-15 17:57 plinnell Relationship added duplicate of 0001079
2005-12-15 17:58 plinnell Relationship added related to 0001547
2005-12-15 17:58 plinnell Resolution open => duplicate
2005-12-15 17:59 plinnell Note Added: 0007736
2005-12-15 17:59 plinnell Status new => feedback
2005-12-15 21:26 cbradney Note Added: 0007741
2005-12-16 03:01 jens Note Added: 0007746
2005-12-16 09:46 cbradney Note Added: 0007747
2005-12-16 11:50 jens Note Added: 0007748
2005-12-26 21:18 plinnell Note Added: 0007826
2005-12-26 21:18 plinnell Product Version 1.2.3 => 1.3
2005-12-27 06:42 ringerc Note Added: 0007827
2005-12-29 05:29 ringerc Relationship added related to 0001726
2005-12-29 05:29 ringerc Relationship added related to 0002756
2006-04-14 19:50 mhanski Note Added: 0009969
2006-04-14 19:50 mhanski Status feedback => confirmed
2006-04-14 19:51 mhanski Note Added: 0009970
2006-04-20 16:59 mhanski Relationship added related to 0003680
2006-07-02 21:49 mhanski Relationship added related to 0003928
2006-07-02 21:56 mhanski Relationship added child of 0003965
2007-01-04 09:09 cbradney Category Fonts => NLS
2007-03-23 07:40 mhanski Relationship added has duplicate 0005479
2007-08-09 14:46 bountonw Note Added: 0016999
2008-01-31 22:54 rsperberg Note Added: 0018798
2008-02-08 17:21 avox Resolution duplicate => open
2008-02-08 17:21 avox Relationship deleted 0001079
2008-06-26 06:46 jghali Relationship added has duplicate 0007109
2009-02-03 09:38 tola File Added: font in of.jpg
2009-02-03 09:41 tola File Added: Khmer Unicode in Scribus.jpg
2009-02-03 09:41 tola File Added: Khmer Unicode in Scribus Editor.jpg
2009-02-03 10:02 tola File Added: Editor with Khmer Unicode.JPG
2009-02-03 10:04 tola Note Added: 0021065
2009-12-05 14:16 386sky Note Added: 0022913
2010-11-20 08:25 sungkhum Note Added: 0024855
2010-11-22 22:43 christoph_s Note Added: 0024877
2011-02-26 08:14 sungkhum Note Added: 0025667
2012-01-21 16:05 sungkhum Note Added: 0027582
2015-05-25 04:35 Kunda Assigned To => avox
2015-05-25 04:35 Kunda Status confirmed => assigned
2015-05-25 04:36 Kunda Note Added: 0035232
2016-03-23 12:57 Kunda Note Added: 0039359
2016-03-23 12:57 Kunda Tag Attached: #please_test
2016-03-23 12:57 Kunda Tag Attached: fixed
2016-03-23 12:57 Kunda Tag Attached: HOST-Oman
2016-03-23 12:57 Kunda Tag Attached: RTL
2016-03-23 12:57 Kunda Patch => No
2016-03-23 12:57 Kunda Assigned To avox =>
2016-03-23 12:57 Kunda Status assigned => confirmed
2016-03-24 01:36 sungkhum Note Added: 0039372
2016-03-24 21:35 Kunda Note Added: 0039398
2016-03-25 10:42 sungkhum File Added: testkhmer.txt
2016-03-25 10:42 sungkhum Note Added: 0039401
2016-03-31 04:32 Kunda Severity major => minor
2016-05-07 11:40 user5122 File Added: khmer-ctl.png
2016-05-07 11:40 user5122 File Added: khmer.sla
2016-05-07 11:43 user5122 Note Added: 0040863
2016-11-17 12:07 Kunda Tag Attached: scribusctl
2016-11-17 12:08 Kunda Tag Attached: CTL-Tests
2016-12-03 22:10 cbradney Assigned To => Fahad
2016-12-03 22:10 cbradney Status confirmed => resolved
2016-12-03 22:10 cbradney Resolution open => fixed
2016-12-03 22:10 cbradney Fixed in Version => 1.5.3.svn
2016-12-03 22:10 cbradney Note Added: 0042615
2016-12-03 22:11 cbradney Note Added: 0042616
2016-12-05 20:21 cbradney Status resolved => closed
2016-12-08 21:39 cbradney Target Version => 1.5.3